package model

// Group 群组
type Group struct {
	Id                int64  // 群组id
	Name              string // 组名
	AvatarUrl         string // 头像
	Introduction      string // 群简介
	UserNum           int32  // 群组人数
	IsAllMemberBanned int32  // 是否全员禁言(1:是 2:否)
	IsAllAddFriend    int32  // 是否允许加好友(1:是 2:否)
	Extra             string // 附加字段
	CreateTime        string // 创建时间
	UpdateTime        string // 更新时间
}

type GroupUser struct {
	Id         int64  // 自增主键
	GroupId    int64  // 群组id
	UserId     int64  // 用户id
	MemberType int    // 群组类型
	Remarks    string // 备注
	Extra      string // 附加属性
	Status     int    // 状态
	CreateTime string // 创建时间
	UpdateTime string // 更新时间
}

type GroupWithOwner struct {
	GroupID int64 `json:"group_user.group_id"`
	OwnerID int64 `json:"group_user.owner_id"`
}

type CustomerServiceWithUser struct {
	CustomerServiceUID int64 `json:"customer_service.uid"`
	UserIMID           int64 `json:"user.id"`
}
