package advertising

import (
	"applet/app/svc/advertising"
	"github.com/gin-gonic/gin"
)

// FunctionList
// @Summary      广告管理-广告位置列表
// @Tags         广告管理
// @Description  广告管理-广告位置列表
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.AdvertisingFunctionListReq          true   "(分页信息必填)"
// @Success      200   {object}  md.AdvertisingFunctionListResp			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/advertising/function/list [post]
func FunctionList(c *gin.Context) {
	advertising.FunctionList(c)
}

// FunctionDel
// @Summary     广告管理-广告位置列表-删除
// @Tags         广告管理
// @Description   广告管理-广告位置列表-删除
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.AdvertisingDelReq          true   "(分页信息必填)"
// @Success      200   {string}		"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/advertising/function/del [post]
func FunctionDel(c *gin.Context) {
	advertising.FunctionDel(c)
}

// FunctionSave
// @Summary     广告管理-广告位置列表-保存
// @Tags         广告管理
// @Description   广告管理-广告位置列表-保存
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.AdvertisingFunctionList          true   "(分页信息必填)"
// @Success      200   {string}		"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/advertising/function/save [post]
func FunctionSave(c *gin.Context) {
	advertising.FunctionSave(c)
}
