package article

import (
	"applet/app/svc/article"
	"github.com/gin-gonic/gin"
)

// CateList
// @Summary      文章资讯-分类列表
// @Tags         文章资讯
// @Description  分类列表
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.ArticleCateListReq          true   "(分页信息必填)"
// @Success      200   {object}  md.ArticleCateListResp			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/article/cate/list [post]
func CateList(c *gin.Context) {
	article.CateList(c)
}

// CateSave
// @Summary      文章资讯-分类列表-分类保存
// @Tags         文章资讯
// @Description  分类列表-分类保存
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.ArticleCateSaveReq          true   "(分页信息必填)"
// @Success      200   {string}  		"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/article/cate/save [post]
func CateSave(c *gin.Context) {
	article.CateSave(c)
}

// CateDel
// @Summary      文章资讯-分类列表-分类删除
// @Tags         文章资讯
// @Description  分类列表-分类删除
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.ArticleCateDelReq          true   "(分页信息必填)"
// @Success      200   {string}  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/article/cate/del [post]
func CateDel(c *gin.Context) {
	article.CateDel(c)
}
