package article

import (
	"applet/app/svc/article"
	"github.com/gin-gonic/gin"
)

// List
// @Summary      文章资讯-文章列表
// @Tags         文章资讯
// @Description  文章列表
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.ArticleListReq          true   "(分页信息必填)"
// @Success      200   {object}  md.ArticleListResp			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/article/content/list [post]
func List(c *gin.Context) {
	article.List(c)
}

// Save
// @Summary      文章资讯-文章列表-文章保存
// @Tags         文章资讯
// @Description  文章列表-文章保存
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.ArticleSaveReq          true   "(分页信息必填)"
// @Success      200   {string}  		"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/article/content/save [post]
func Save(c *gin.Context) {
	article.Save(c)
}

// Del
// @Summary      文章资讯-文章列表-文章删除
// @Tags         文章资讯
// @Description  文章列表-文章删除
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.ArticleDelReq          true   "(分页信息必填)"
// @Success      200   {string}  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/article/content/del [post]
func Del(c *gin.Context) {
	article.Del(c)
}
