package cloud_bundle

import (
	"applet/app/svc/cloud_bundle"
	"github.com/gin-gonic/gin"
)

// List
// @Summary      云打包-云打包版本列表
// @Tags         云打包
// @Description  云打包-云打包版本列表
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.CloudBundleReq          true   "(分页信息必填)"
// @Success      200   {object}  md.CloudBundleResp			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/cloudBundle/list [post]
func List(c *gin.Context) {
	cloud_bundle.List(c)
}

// Build
// @Summary      云打包-云打包操作
// @Tags         云打包
// @Description  云打包-云打包操作
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.CloudBundleBuildReq          true   "(分页信息必填)"
// @Success      200   {string}  			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/cloudBundle/build [post]
func Build(c *gin.Context) {
	cloud_bundle.Build(c)
}

// Del
// @Summary      云打包-云打包删除
// @Tags         云打包
// @Description  云打包-云打包删除
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.ArticleDelReq          true   "(分页信息必填)"
// @Success      200   {string}  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/cloudBundle/del [post]
func Del(c *gin.Context) {
	cloud_bundle.Del(c)
}

// AuditSet
// @Summary      云打包-云打包-设置为审核模板
// @Tags         云打包
// @Description  云打包-云打包-设置为审核模板
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.CommReq          true   "(分页信息必填)"
// @Success      200   {string}  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/cloudBundle/audit/set [post]
func AuditSet(c *gin.Context) {
	cloud_bundle.AuditSet(c)
}

// AuditClear
// @Summary      云打包-云打包-清除审核模板
// @Tags         云打包
// @Description  云打包-云打包-清除审核模板
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.AuditClearReq          true   "(分页信息必填)"
// @Success      200   {string}  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/cloudBundle/audit/clear [post]
func AuditClear(c *gin.Context) {
	cloud_bundle.AuditClear(c)
}
