package cloud_bundle

import (
	"applet/app/svc/cloud_bundle"
	"github.com/gin-gonic/gin"
)

// VersionBase
// @Summary      云打包-云打包-图片配置
// @Tags         云打包
// @Description  云打包-图片配置
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Success      200   {object} md.CloudBundleVersionResp  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/cloudBundle/version/base [get]
func VersionBase(c *gin.Context) {
	cloud_bundle.VersionBase(c)
}

// VersionBaseSave
// @Summary      云打包-图片配置
// @Tags         云打包
// @Description  云打包-图片配置
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.CloudBundleVersion          true   "(分页信息必填)"
// @Success      200   {string}   	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/cloudBundle/version/base/save [post]
func VersionBaseSave(c *gin.Context) {
	cloud_bundle.VersionBaseSave(c)
}
