package im

import (
	"applet/app/e"
	md "applet/app/md/im"
	svc "applet/app/svc/im"
	"github.com/gin-gonic/gin"
)

// BatchSendGroupMessage
// @Summary      Im-群发发送群组消息
// @Tags         群发发送群组消息
// @Description  群发发送群组消息
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @param req body  md.BatchSendGroupMessageReq true "相关参数"
// @Success      200   {string}  	 "success"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/im/batchSendGroupMessage [POST]
func BatchSendGroupMessage(c *gin.Context) {
	var req *md.BatchSendGroupMessageReq
	if err1 := c.ShouldBindJSON(&req); err1 != nil {
		e.OutErr(c, e.ERR_INVALID_ARGS, err1.Error())
		return
	}
	err := svc.BatchSendGroupMessage(req)
	if err != nil {
		e.OutErr(c, e.ERR, err.Error())
		return
	}
	e.OutSuc(c, "success", nil)
}

// BatchSendUserMessage
// @Summary      Im-群发发送用户消息
// @Tags         群发发送用户消息
// @Description  群发发送用户消息
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @param req body  md.BatchSendUserMessageReq true "相关参数"
// @Success      200   {string}  	 "success"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/im/batchSendUserMessage [POST]
func BatchSendUserMessage(c *gin.Context) {
	var req *md.BatchSendUserMessageReq
	if err1 := c.ShouldBindJSON(&req); err1 != nil {
		e.OutErr(c, e.ERR_INVALID_ARGS, err1.Error())
		return
	}
	err := svc.BatchSendUserMessage(req)
	if err != nil {
		e.OutErr(c, e.ERR, err.Error())
		return
	}
	e.OutSuc(c, "success", nil)
}
