package notice

import (
	"applet/app/svc/notice"
	"github.com/gin-gonic/gin"
)

// List
// @Summary      消息中心-基本配置-通知模板
// @Tags         消息中心
// @Description  基本配置-通知模板
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.NoticeListReq          true   "(分页信息必填)"
// @Success      200   {object}  md.NoticeListResp			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/notice/base/list [post]
func List(c *gin.Context) {
	notice.List(c)
}

// Save
// @Summary      消息中心-基本配置-通知模板添加编辑
// @Tags         消息中心
// @Description  基本配置-通知模板添加编辑
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.NoticeSaveReq          true   "(分页信息必填)"
// @Success      200   {string}  			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/notice/base/save [post]
func Save(c *gin.Context) {
	notice.Save(c)
}

// Del
// @Summary      消息中心-基本配置-通知模板删除
// @Tags         消息中心
// @Description  基本配置-通知模板删除
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.NoticeDelReq          true   "(分页信息必填)"
// @Success      200   {string}  			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/notice/base/del [post]
func Del(c *gin.Context) {
	notice.Del(c)
}

// PushList
// @Summary      消息中心-基本配置-推送记录列表
// @Tags         消息中心
// @Description  基本配置-推送记录列表
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.NoticeListReq          true   "(分页信息必填)"
// @Success      200   {object}  md.NoticePushListResp			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/notice/jPush/push/list [post]
func PushList(c *gin.Context) {
	notice.PushList(c)
}

// PushSave
// @Summary      消息中心-基本配置-推送记录添加-发送(不做编辑了)
// @Tags         消息中心
// @Description  基本配置-推送记录添加-发送 (不做编辑了)
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.NoticeSaveReq          true   "(分页信息必填)"
// @Success      200   {string}  			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/notice/jPush/push/save [post]
func PushSave(c *gin.Context) {
	notice.PushSave(c)
}
