package user_feedback

import (
	"applet/app/svc/user_feedback"
	"github.com/gin-gonic/gin"
)

// CateList
// @Summary      反馈列表-分类列表
// @Tags         消息中心
// @Description  分类列表
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.UserFeedbackCateListReq          true   "(分页信息必填)"
// @Success      200   {object}  md.UserFeedbackCateListResp			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/userFeedback/cate/list [post]
func CateList(c *gin.Context) {
	user_feedback.CateList(c)
}

// CateSave
// @Summary      反馈列表-分类列表-分类保存
// @Tags         消息中心
// @Description  分类列表-分类保存
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.UserFeedbackCateSaveReq          true   "(分页信息必填)"
// @Success      200   {string}  		"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/user_feedback/cate/save [post]
func CateSave(c *gin.Context) {
	user_feedback.CateSave(c)
}

// CateDel
// @Summary      反馈列表-分类列表-分类删除
// @Tags         消息中心
// @Description  分类列表-分类删除
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.UserFeedbackCateDelReq          true   "(分页信息必填)"
// @Success      200   {string}  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/user_feedback/cate/del [post]
func CateDel(c *gin.Context) {
	user_feedback.CateDel(c)
}
