package user_feedback

import (
	"applet/app/svc/user_feedback"
	"github.com/gin-gonic/gin"
)

// List
// @Summary      用户反馈-反馈列表
// @Tags         消息中心
// @Description  反馈列表
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.UserFeedbackListReq          true   "(分页信息必填)"
// @Success      200   {object}  md.UserFeedbackListResp			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/userFeedback/content/list [post]
func List(c *gin.Context) {
	user_feedback.List(c)
}

// RecordList
// @Summary      用户反馈-反馈列表-沟通记录
// @Tags         消息中心
// @Description  反馈列表-沟通记录
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.UserFeedbackRecordListReq          true   "(分页信息必填)"
// @Success      200   {object}  md.UserFeedbackRecordListResp			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/userFeedback/content/record/list [post]
func RecordList(c *gin.Context) {
	user_feedback.RecordList(c)
}

// Say
// @Summary      用户反馈-反馈列表-沟通发送
// @Tags         消息中心
// @Description  反馈列表-沟通发送
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.UserFeedbackSayReq          true   "(分页信息必填)"
// @Success      200   {string}  		"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/userFeedback/content/say [post]
func Say(c *gin.Context) {
	user_feedback.Say(c)
}

// ChangeState
// @Summary      用户反馈-反馈列表-修改状态
// @Tags         消息中心
// @Description  反馈列表-修改状态
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.UserFeedbackSayReq          true   "(分页信息必填)"
// @Success      200   {string}  		"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/userFeedback/content/change/state [post]
func ChangeState(c *gin.Context) {
	user_feedback.ChangeState(c)
}

// Del
// @Summary      用户反馈-反馈列表-反馈删除
// @Tags         消息中心
// @Description  反馈列表-反馈删除
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.UserFeedbackDelReq          true   "(分页信息必填)"
// @Success      200   {string}  	"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/userFeedback/content/del [post]
func Del(c *gin.Context) {
	user_feedback.Del(c)
}
