package md

type PageEmoticonReq struct {
	Page     int    `json:"page"`
	PageSize int    `json:"page_size"`
	State    int    `json:"state"` //状态
	Memo     string `json:"memo" example:"备注"`
}

type PageEmoticonResp struct {
	Page     int   `json:"page"`
	PageSize int   `json:"page_size"`
	Total    int64 `json:"total"`
	List     []struct {
		Id       int64  `json:"id"` //记录id
		Name     string `json:"name" example:"名称"`
		ImgUrl   string `json:"img_url" example:"图片地址"`
		Sort     int    `json:"Sort"`                     // 排序
		State    int    `json:"state"`                    // 状态0关闭,1开启
		Memo     string `json:"memo" example:"备注"`        // 备注
		CreateAt string `json:"create_at" example:"创建时间"` // 创建时间
		UpdateAt string `json:"update_at" example:"更新时间"` // 更新时间
	} `json:"list"`
}

type AddEmoticonReq struct {
	Name   string `json:"name" example:"名称"`
	ImgUrl string `json:"img_url" example:"图片地址"`
	Memo   string `json:"memo" example:"备注"` // 备注
	Sort   int    `json:"sort"`              // 排序
}

type SetEmoticonStateReq struct {
	Id    int `json:"id"`    // 拥有用户数量
	State int `json:"state"` // 状态
}

type UpdateEmoticonReq struct {
	Id     int    `json:"id"` // 拥有用户数量
	Name   string `json:"name" example:"名称"`
	ImgUrl string `json:"img_url" example:"图片地址"`
	Memo   string `json:"memo" example:"备注"` // 备注
	Sort   int    `json:"sort"`              // 排序
}

type DeleteEmoticonReq struct {
	Id int `json:"id"` // 拥有用户数量
}
