package md

type GroupListReq struct {
	Page           int    `json:"page"`
	PageSize       int    `json:"page_size"`
	Name           string `json:"name"`        //群名称
	GroupAdmin     string `json:"group_admin"` //群主
	StartTimeStart string `json:"start_time_start" example:"创建时间-起始"`
	StartTimeEnd   string `json:"start_time_end" example:"创建时间-截止"`
}

type GroupListResp struct {
	Page     int   `json:"page"`
	PageSize int   `json:"page_size"`
	Total    int64 `json:"total"`
	List     []struct {
		Id                int64  // 群组id
		Name              string // 组名
		AvatarUrl         string // 头像
		Introduction      string // 群简介
		UserNum           int32  // 群组人数
		IsAllMemberBanned int32  // 是否全员禁言(1:是 2:否)
		IsAllAddFriend    int32  // 是否允许加好友(1:是 2:否)
		Extra             string // 附加字段
		CreateTime        string // 创建时间
		UpdateTime        string // 更新时间
		PhoneNumber       string // 群主账号
		Nickname          string // 群主昵称
	} `json:"list"`
}

type GroupUserListReq struct {
	Page     int    `json:"page"`
	PageSize int    `json:"page_size"`
	GroupId  int    `json:"name"`                  //群id
	Phone    string `json:"phone" example:"手机号"`   //手机号
	Nickname string `json:"nickname" example:"昵称"` //昵称
}

type GroupUserListResp struct {
	Page     int   `json:"page"`
	PageSize int   `json:"page_size"`
	Total    int64 `json:"total"`
	List     []struct {
		Id          int64  // 自增主键
		GroupId     int64  // 群组id
		UserId      int64  // 用户id
		MemberType  int    // 群组类型
		Remarks     string // 备注
		Extra       string // 附加属性
		Status      int    // 状态
		CreateTime  string // 创建时间
		UpdateTime  string // 更新时间
		PhoneNumber string // 账号
		Nickname    string // 昵称
	} `json:"list"`
}

type BatchSendGroupMessageReq struct {
	SendKind      int    `json:"send_kind"`      // 发送模式(1:指定群组 2:所有群组)
	Kind          int    `json:"kind"`           // 消息类型(0未知 1文本 2表情 3语音消息 4图片 5文件 6地理位置 7指令推送 8自定义 9撤回消息 10红包消息)
	Content       string `json:"content"`        // 消息内容
	SendCondition string `json:"send_condition"` // 发送条件 群 ID 以";"分割
	NotCondition  string `json:"not_condition"`  // 不发送条件 群 ID 以";"分割
}

type BatchSendUserMessageReq struct {
	SendKind      int    `json:"send_kind"`      // 发送模式(1:所有用户 2:指定用户)
	Kind          int    `json:"kind"`           // 消息类型(0未知 1文本 2表情 3语音消息 4图片 5文件 6地理位置 7指令推送 8自定义 9撤回消息 10红包消息)
	Content       string `json:"content"`        // 消息内容
	SendCondition string `json:"send_condition"` // 发送条件 用户手机号 以";"分割
	NotCondition  string `json:"not_condition"`  // 不发送条件 用户手机号 以";"分割
}
