package md

type PageSendRedPackageOrdReq struct {
	Page           int    `json:"page"`
	PageSize       int    `json:"page_size"`
	State          int    `json:"state"` //状态
	Uid            int    `json:"uid"`
	RedPacketType  int    `json:"red_packet_type"` //红包类型
	StartTimeStart string `json:"start_time_start" example:"发送时间-起始"`
	StartTimeEnd   string `json:"start_time_end" example:"发送时间-截止"`
	InviteCode     string `json:"invite_code" example:"邀请码"` //邀请码
	Phone          string `json:"phone" example:"手机号"`       //手机号
	Nickname       string `json:"nickname" example:"昵称"`     //昵称
	OrdNo          string `json:"ord_no" example:"订单号"`      //订单号
}

type PageSendRedPackageOrdResp struct {
	Page     int   `json:"page"`
	PageSize int   `json:"page_size"`
	Total    int64 `json:"total"`
	List     []struct {
		Id                     int64  `json:"id"` //记录id
		Uid                    int64  `json:"uid"`
		Phone                  string `json:"ord_no" example:"订单号"`
		Nickname               string `json:"nickname" example:"昵称"`
		AvatarUrl              string `json:"avatar_url" example:"头像"`
		InviteCode             string `json:"invite_code" example:"邀请码"`
		State                  int    `json:"state"`                                      // 红包状态(0:未领取 1:领取中 2:领取完 3:已过期)
		Amount                 string `json:"amount"`                                     // 金额
		RedPacketBalanceAmount string `json:"red_packet_balance_amount" example:"红包剩余金额"` // 红包剩余金额
		RedPacketType          int    `json:"red_packet_type" example:"红包类型"`             // 红包类型
		RedPacketNums          string `json:"red_packet_nums" example:"红包剩余个数"`           // 红包剩余个数
		WaitDrawUserIds        string `json:"wait_draw_user_ids" example:"待领取用户id"`       // 待领取用户id
		ReceivedUserIds        string `json:"received_user_ids" example:"领取用户id"`         // 领取用户id
		ReceivedTimes          string `json:"received_times" example:"已领取时间"`             // 已领取时间
		ReceivedUserAmount     string `json:"received_user_amount" example:"已领取用户金额"`     // 已领取用户金额
		CreateTime             string `json:"create_time" example:"创建时间"`                 // 创建时间
		UpdateTime             string `json:"update_time" example:"更新时间"`                 // 更新时间
	} `json:"list"`
}

type RedPackageRecordsDetailResp struct {
	Uid           int64  `json:"uid"`
	InviteCode    string `json:"invite_code" example:"邀请码"`
	Nickname      string `json:"nickname" example:"昵称"`
	AvatarUrl     string `json:"avatar_url" example:"头像"`
	Amount        string `json:"amount"`                        // 金额
	ReceivedTimes string `json:"received_times" example:"领取时间"` // 领取时间
}
