package md

type DynamicDataFlowListReq struct {
	Kind     int    `json:"kind"`                    // 持有类型
	Page     int    `json:"page,required"`           // 页数
	PageSize int    `json:"page_size,required"`      // 每页大小
	StartAt  string `json:"start_at" example:"开始时间"` // 开始时间
	EndAt    string `json:"end_at" example:"结束时间"`   // 结束时间
}

type EggEnergyAvailableEnergyFlow struct {
	Id                                  int64  `json:"id"`
	Kind                                int    `json:"kind"`                                     // 种类
	Title                               string `json:"title"`                                    // 标题
	BeforePrice                         string `json:"before_price"`                             // 变更前-价格
	AfterPrice                          string `json:"after_price"`                              // 变更后-价格
	Amount                              string `json:"amount"`                                   // 变更数量
	BeforeNowEnergyTotalNums            string `json:"before_now_energy_total_nums"`             // 变更前-现行总量
	AfterNowEnergyTotalNums             string `json:"after_now_energy_total_nums"`              // 变更后-现行总量
	AfterPlanetTotalValue               string `json:"after_planet_total_value"`                 // 变更后-星球总价值
	BeforePlanetTotalValue              string `json:"before_planet_total_value"`                // 变更前-星球总价值
	BeforeMarketplaceMerchantValues     string `json:"before_marketplace_merchant_values"`       // 变更前-市商区块币数量
	AfterMarketplaceMerchantValues      string `json:"after_marketplace_merchant_values"`        // 变更后-市商区块币数量
	BeforeMarketplaceMerchantFundValues string `json:"before_marketplace_merchant_fund_values"`  // 变更前-市商资金值
	AfterMarketplaceMerchantFundValues  string `json:"after_marketplace_merchant_fund_values"`   // 变更后-市商资金值
	BeforeDevelopmentCommitteeValues    string `json:"before_development_committee_values"`      // 变更前-发展委员会区块币数量
	AfterDevelopmentCommitteeValues     string `json:"after_development_committee_values"`       // 变更后-发展委员会区块币数量
	BeforePublicWelfareAndCharityValues string `json:"before_public_welfare_and_charity_values"` // 变更前-公益慈善区块币数量
	AfterPublicWelfareAndCharityValues  string `json:"after_public_welfare_and_charity_values"`  // 变更后-公益慈善区块币数量
	BeforeStarLevelDividendsValues      string `json:"before_star_level_dividends_values"`       // 变更前-星级分红区块币数量
	AfterStarLevelDividendsValues       string `json:"after_star_level_dividends_values"`        // 变更后-星级分红区块币数量
	BeforeDestructionQuantityValues     string `json:"before_destruction_quantity_values"`       // 变更前-销毁区块币数量
	AfterDestructionQuantityValues      string `json:"after_destruction_quantity_values"`        // 变更后-销毁区块币数量
	BeforeCommunityDividends            string `json:"before_community_dividends"`               // 变更前-社区分红区块币数量
	AfterCommunityDividends             string `json:"after_community_dividends"`                // 变更后-社区分红区块币数量
	CreateTime                          string `json:"create_time"`                              // 创建时间
}

type DynamicDataFlowListResp struct {
	KindList []map[string]interface{}       `json:"kind_list"` // 类型列表
	List     []EggEnergyAvailableEnergyFlow `json:"list"`      // 动态数据流水列表
	Paginate Paginate                       `json:"paginate"`
}
