package md

type GetActivePointsUserCoinListReq struct {
	Kind      int    `json:"kind"` // 虚拟币种类编号
	Uid       int64  `json:"uid"`  // 指定查询用户 ID
	UserName  string `json:"user_name" example:"用户名称"`
	UserPhone string `json:"user_phone" example:"手机号"`
	StartCoin string `json:"start_coin" example:"最小金额"`
	EndCoin   string `json:"end_coin" example:"最大金额"`
	Page      int    `json:"page"`      // 页数
	PageSize  int    `json:"page_size"` // 单页大小
}

type ActivePointsWalletNode struct {
	Amount    string `json:"amount" example:"账户余额"`
	Uid       int64  `json:"uid"` // 用户 ID
	UserName  string `json:"user_name" example:"用户名"`
	UserPhone string `json:"user_phone" example:"手机号"`
}

type VirtualCoinListNode struct {
	Kind   int    `json:"kind"`    // 货币序号
	CoinID int    `json:"coin_id"` // 货币类型 ID
	Name   string `json:"name" example:"货币类型名称"`
}

type GetActivePointsUserCoinListResp struct {
	KindList      []VirtualCoinListNode    `json:"kind_list"`       // 货币类型集合
	List          []ActivePointsWalletNode `json:"list"`            // 余额集合
	SumUserAmount float64                  `json:"sum_user_amount"` // 用户持有总数
	Total         int64                    `json:"total"`           // 持有该类型用户数
}

type GetActivePointsUserCoinFlowListReq struct {
	CoinId    int    `json:"coin_id"`   // 货币类型 ID
	Direction int    `json:"direction"` // 流水方向:1收入 2支出
	StartAt   string `json:"start_at"`  // 开始时间
	EndAt     string `json:"end_at"`    // 结束时间
	Page      int    `json:"page"`      // 页数
	PageSize  int    `json:"page_size"` // 每页大小
	Uid       int64  `json:"uid"`       // 用户 ID
}

type Paginate struct {
	Limit int   `json:"limit"` // 每页大小
	Page  int   `json:"page"`  // 页数
	Total int64 `json:"total"` // 总数据量
}

type SelectData struct {
	Direction []map[string]string `json:"direction"`
}

type UserVirtualCoinFlow struct {
	Id           int64  `json:"id"`
	Uid          int64  `json:"uid"`       // 用户 ID
	CoinId       int    `json:"coin_id"`   // 虚拟币 ID
	Direction    int    `json:"direction"` // 方向:1收入 2支出
	Title        string `json:"title" example:"标题"`
	Amount       string `json:"amount" example:"变更数量"`
	BeforeAmount string `json:"before_amount" example:"变更前数量"`
	AfterAmount  string `json:"after_amount" example:"变更后数量"`
	SysFee       string `json:"sys_fee" example:"手续费"`
	TransferType int    `json:"transfer_type"` // 转账类型
	CreateAt     string `json:"create_at" example:"创建时间"`
	UpdateAt     string `json:"update_at" example:"更新时间"`
}

type GetActivePointsUserCoinFlowListResp struct {
	Paginate   Paginate              `json:"paginate"`    // 分页信息
	List       []UserVirtualCoinFlow `json:"list"`        // 流水信息
	SelectData SelectData            `json:"select_data"` // 流水类型
}

type GetGreenEnergyUserCoinListReq struct {
	Kind      int    `json:"kind"` // 虚拟币种类编号
	Uid       int64  `json:"uid"`  // 指定查询用户 ID
	UserName  string `json:"user_name" example:"用户名称"`
	UserPhone string `json:"user_phone" example:"手机号"`
	StartCoin string `json:"start_coin" example:"最小金额"`
	EndCoin   string `json:"end_coin" example:"最大金额"`
	Page      int    `json:"page"`      // 页数
	PageSize  int    `json:"page_size"` // 单页大小
}

type GetGreenEnergyUserCoinListResp struct {
	KindList      []VirtualCoinListNode    `json:"kind_list"`       // 货币类型集合
	List          []ActivePointsWalletNode `json:"list"`            // 余额集合
	SumUserAmount float64                  `json:"sum_user_amount"` // 用户持有总数
	Total         int64                    `json:"total"`           // 持有该类型用户数
}

type GetGreenEnergyUserCoinFlowListReq struct {
	CoinId    int    `json:"coin_id,required"`   // 货币类型 ID
	Direction int    `json:"direction"`          // 流水方向:1收入 2支出
	StartAt   string `json:"start_at"`           // 开始时间
	EndAt     string `json:"end_at"`             // 结束时间
	Page      int    `json:"page,required"`      // 页数
	PageSize  int    `json:"page_size,required"` // 每页大小
	Uid       int64  `json:"uid,required"`       // 用户 ID
}

type GetGreenEnergyUserCoinFlowListResp struct {
	Paginate   Paginate              `json:"paginate"`    // 分页信息
	List       []UserVirtualCoinFlow `json:"list"`        // 流水信息
	SelectData SelectData            `json:"select_data"` // 流水类型
}
