package md

type GetPublicPlatoonBasicResp struct {
	IsOpen                     int    `json:"is_open"`                         // 是否开启(1:开启 0:关闭)
	OriginatorUid              int    `json:"originator_uid"`                  // 创始人uid
	OriginatorName             string `json:"originator_name"`                 // 创始人名称
	SeveralTimes               int    `json:"several_times"`                   // 几乘
	SeveralRows                int    `json:"several_rows"`                    // 几排
	SystemPunishReplace        int    `json:"system_punish_replace"`           // 是否位置滑落 被新用户替换 0否 1是
	SystemPunishReplaceValue   int    `json:"system_punish_replace_value"`     // xx天未活跃，处罚滑落
	IsSelfActiveGetTeamRevenue int    `json:"is_self_active_get_team_revenue"` // 会员本人没有日活，没有圈层奖励(1:开启 0:关闭)
}

type UpdatePublicPlatoonBasicReq struct {
	IsOpen                     int `json:"is_open"`                         // 是否开启(1:开启 0:关闭)
	OriginatorUid              int `json:"originator_uid"`                  // 创始人uid
	SeveralTimes               int `json:"several_times"`                   // 几乘
	SeveralRows                int `json:"several_rows"`                    // 几排
	SystemPunishReplace        int `json:"system_punish_replace"`           // 是否位置滑落 被新用户替换 0否 1是
	SystemPunishReplaceValue   int `json:"system_punish_replace_value"`     // xx天未活跃，处罚滑落
	IsSelfActiveGetTeamRevenue int `json:"is_self_active_get_team_revenue"` // 会员本人没有日活，没有圈层奖励(1:开启 0:关闭)
}

type SubUser struct {
	AvatarURL string `json:"avatar_url" example:"头像"`
	Phone     string `json:"phone" example:"手机号"`
	Nickname  string `json:"nickname" example:"昵称"`
	Uid       int64  `json:"uid"`
	PID       int64  `json:"pid"`
	Level     int    `json:"level"`    // 整个系统中的等级
	Position  int64  `json:"position"` // 以pid1为创始人中网的位置
}

type BasicSetting struct {
	Id                         int `json:"id"`
	IsOpen                     int `json:"is_open"`                         // 是否开启(1:开启 0:关闭)
	SeveralTimes               int `json:"several_times"`                   // 几乘
	SeveralRows                int `json:"several_rows"`                    // 几排
	OriginatorUid              int `json:"originator_uid"`                  // 创始人uid
	SystemPunishReplace        int `json:"system_punish_replace"`           // 是否位置滑落 被新用户替换 0否 1是
	SystemPunishReplaceValue   int `json:"system_punish_replace_value"`     // xx天未活跃，处罚滑落
	IsSelfActiveGetTeamRevenue int `json:"is_self_active_get_team_revenue"` // 会员本人没有日活，没有圈层奖励(1:开启 0:关闭)
}

type FindSubUserRelationshipMapResp struct {
	SubUser      SubUser      `json:"sub_user"`      // 上级用户信息
	BasicSetting BasicSetting `json:"basic_setting"` // 公排设置
	SearchUid    string       `json:"search_uid"`    // 查找的用户 ID
}

type ExchangeUserPositionReq struct {
	Position1 int64 `json:"position_1,required"` //位置1，具体值取返回数据中的 system_id
	Position2 int64 `json:"position_2,required"` //位置2，具体值取返回数据中的 system_id
}

type SelectMemberReq struct {
	Uid      int64  `json:"uid"`            // 会员 ID
	Phone    string `json:"phone"`          // 会员手机号
	Nickname string `json:"nickname"`       // 会员昵称
	Level    int    `json:"level"`          // 会员等级
	Page     int    `json:"page,required"`  // 页数
	Limit    int    `json:"limit,required"` // 每页大小
}

type SelectMemberNode struct {
	Uid      int64  `json:"uid"`      // 会员 ID
	Avatar   string `json:"avatar"`   // 会员头像
	Nickname string `json:"nickname"` // 会员昵称
	Phone    string `json:"phone"`    // 会员手机号
	Level    string `json:"level"`    // 会员等级
}

type SelectMemberResp struct {
	LevelList []map[string]interface{} `json:"level_list"` // 会员等级列表
	List      []SelectMemberNode       `json:"list"`       // 会员数据
	Paginate  Paginate                 `json:"paginate"`   // 分页信息
}

type TreeNode struct {
	AvatarURL string      `json:"avatar_url" example:"头像"`
	Phone     string      `json:"phone" example:"手机号"`
	Nickname  string      `json:"nickname" example:"昵称"`
	Uid       int64       `json:"uid"`
	PID       int64       `json:"pid"`
	Position  int64       `json:"position"`
	SystemID  int64       `json:"system_id"` //公排网中id
	Level     int         `json:"level"`
	Son       []*TreeNode `json:"son"`
}

type GetFreePublishUserReq struct {
	Limit int   `json:"limit,required"` // 每页大小
	Uid   int64 `json:"uid"`            // 筛选的用户 ID
	Page  int   `json:"page,required"`  // 当前页数
}

type FreePublishUserNode struct {
	UID      int64  `json:"uid"`
	Phone    string `json:"phone" example:"手机号"`
	Nickname string `json:"nickname" example:"昵称"`
}

type GetFreePublishUserResp struct {
	Paginate Paginate              `json:"paginate"` // 分页信息
	List     []FreePublishUserNode `json:"list"`     // 免罚用户列表
}

type Paginate struct {
	Limit int   `json:"limit"` // 每页大小
	Page  int   `json:"page"`  // 页数
	Total int64 `json:"total"` // 总数据量
}

type AddFreePublishUserReq struct {
	Uid int64 `json:"uid"`
}

type DeleteFreePublishUserReq struct {
	Uid string `json:"uid"`
}

type ListCommunityDividendsReq struct {
	Page      int    `json:"page,required"`  // 页数
	Limit     int    `json:"limit,required"` // 每页大小
	StartAt   string `json:"start_at"`       // 开始时间
	EndAt     string `json:"end_at"`         // 结束时间
	StartNums int64  `json:"start_nums"`     // 分红总量下限
	EndNums   int64  `json:"end_nums"`       // 分红总量上限
}

type EggEnergyCommunityDividends struct {
	Id         int    `json:"id"`
	Amount     string `json:"amount"` // 分红数量
	Name       string `json:"name" example:"名称"`
	CoinId     int    `json:"coin_id"`     // 虚拟币 id
	PersonsNum int    `json:"persons_num"` // 分红人数
	IsOver     int    `json:"is_over"`     // 是否分红完毕
	CreateAt   string `json:"create_at"`   // 分红时间
	UpdateAt   string `json:"update_at"`
}

type ListCommunityDividendsResp struct {
	List     []EggEnergyCommunityDividends `json:"list"`
	Paginate Paginate                      `json:"paginate"`
}

type AddCommunityDividendsReq struct {
	Name   string `json:"name,required" example:"社区分红名称"`
	Amount string `json:"amount,required"` // 社区分红数量
}

type ListCommunityDividendsWithUserReq struct {
	Page  int    `json:"page,required"`
	Limit int    `json:"limit,required"`
	Phone string `json:"phone"`
	Uid   int64  `json:"uid"`
}

type EggEnergyCommunityDividendsWithUser struct {
	Id       int    `json:"id"`
	Uid      int64  `json:"uid"`
	Memo     string `json:"memo" example:"备注"`
	Nickname string `json:"nickname"`
	Phone    string `json:"phone"`
}

type ListCommunityDividendsWithUserResp struct {
	List     []EggEnergyCommunityDividendsWithUser `json:"list"`
	Paginate Paginate                              `json:"paginate"`
}

type AddCommunityDividendsWithUserReq struct {
	Uid  int64  `json:"uid,required"` // 新增社区长用户 ID
	Memo string `json:"memo" example:"备注"`
}

type UserDailyActivityAnalysisReq struct {
	Uid       int64  `json:"uid,required"` // 查询用户 ID
	StartDate string `json:"start_date,required" example:"开始日期"`
	EndDate   string `json:"end_date,required" example:"结束日期"`
	Page      int    `json:"page,required"`      // 页数
	PageSize  int    `json:"page_size,required"` // 每页大小
}

type SonUserDailyActivityAnalysisNode struct {
	Uid             int64  `json:"uid"` // 查询用户活跃子节点 ID
	Nickname        string `json:"nickname" example:"昵称"`
	Phone           string `json:"phone" example:"手机号"`
	ActivityDayNums int64  `json:"activity_day_nums"` // 活跃子节点活跃天数
}

type DailyActivityAnalysisTopData struct {
	TeamUserCount         int64 `json:"team_user_count"`          // 团队人数
	TeamActivityUserCount int64 `json:"team_activity_user_count"` // 子节点活跃人数
	ActivityCount         int64 `json:"activity_count"`           // 子节点活跃天数
}

type UserDailyActivityAnalysisResp struct {
	TopData     DailyActivityAnalysisTopData       `json:"top_data"`      // 统计信息
	SonUserData []SonUserDailyActivityAnalysisNode `json:"son_user_data"` // 被查询用户子节点信息
}
