package md

type Paginate struct {
	Page  int   `json:"page"`
	Limit int   `json:"limit"`
	Total int64 `json:"total"`
}

type NewUserRedPackageGetBasicResp struct {
	IsOpen      int    `json:"is_open"` // 是否开启(1:开启 0:关闭)
	TotalAmount string `json:"total_amount" example:"总金额"`
	Days        int    `json:"days"`      // 天数
	IsDouble    int    `json:"is_double"` // 是否翻倍
	CreateAt    string `json:"create_at"`
	UpdateAt    string `json:"update_at"`
}

type NewUserRedPackageUpdateBasicReq struct {
	IsOpen      int    `json:"is_open,required"` // 是否开启(1:开启 0:关闭)
	TotalAmount string `json:"total_amount,required" example:"总金额"`
	Days        int    `json:"days,required"`      // 天数
	IsDouble    int    `json:"is_double,required"` // 是否翻倍
}

type NewUserRedPackageRecordListReq struct {
	Uid     int64  `json:"uid"`            // 用户 ID
	Page    int    `json:"page,required"`  // 页数
	Limit   int    `json:"limit,required"` // 每页大小
	StartAt string `json:"start_at"`       // 开始时间
	EndAt   string `json:"end_at"`         // 结束时间
}

type NewUserRedPackageRecordNode struct {
	SystemID      int    `json:"system_id"`      // 系统中记录的 ID
	Uid           int64  `json:"uid"`            // 用户 ID
	TotalAmount   string `json:"total_amount"`   // 金额
	Days          int    `json:"days"`           // 天数
	BalanceAmount string `json:"balance_amount"` // 剩余金额
	BalanceDays   int    `json:"balance_days"`   // 剩余天数
	ReceiveDays   int    `json:"receive_days"`   // 领取天数
	State         int    `json:"state"`          // 状态(0:待领取 1:领取中 2:已领取 3:已冻结)
	CreateAt      string `json:"create_at"`      // 创建时间
	UpdateAt      string `json:"update_at"`      // 修改时间
}

type NewUserRedPackageRecordListResp struct {
	List     []NewUserRedPackageRecordNode `json:"list"`
	Paginate Paginate                      `json:"paginate"`
}

type NewUserRedPackageRecordFlowListReq struct {
	Uid     int64  `json:"uid,required"`   // 用户 ID
	Page    int    `json:"page,required"`  // 页数
	Limit   int    `json:"limit,required"` // 每页大小
	StartAt string `json:"start_at"`       // 开始时间
	EndAt   string `json:"end_at"`         // 结束时间
}

type NewUserRedPackageRecordFlowNode struct {
	Id            int    `json:"id"`             // 流水 ID
	Uid           int64  `json:"uid"`            // 用户 ID
	BasicAmount   string `json:"basic_amount"`   // 基础金额
	TotalAmount   string `json:"total_amount"`   // 实际金额
	DayNum        int    `json:"day_num"`        // 第x天
	IsDouble      int    `json:"is_double"`      // 是否翻倍
	DoubleRate    string `json:"double_rate"`    // 倍率
	BalanceAmount string `json:"balance_amount"` // 剩余金额
	BalanceDays   int    `json:"balance_days"`   // 剩余天数
	ReceiveDays   int    `json:"receive_days"`   // 领取天数
	CreateAt      string `json:"create_at"`      // 创建时间
}

type NewUserRedPackageRecordFlowListResp struct {
	List     []NewUserRedPackageRecordFlowNode `json:"list"`
	Paginate Paginate                          `json:"paginate"`
}
