package md

var AdvertisingPlatform = []map[string]string{
	{"name": "穿山甲", "value": "chuanshanjia"},
	{"name": "优量汇", "value": "youlianghui"},
}

type AdvertisingBase struct {
	AndroidAdIsOpen     string `json:"android_ad_is_open" example:"安卓广告是否开启(1:开启 0:不开启)"`
	IosAdIsOpen         string `json:"ios_ad_is_open" example:"ios广告是否开启(1:开启 0:不开启)"`
	AndroidOpenAdIsOpen string `json:"android_open_ad_is_open" example:"安卓开屏广告是否开启(1:开启 0:不开启)"`
	IosOpenAdIsOpen     string `json:"ios_open_ad_is_open" example:"ios开屏广告是否开启(1:开启 0:不开启)"`
	Voice               string `json:"voice" example:"领取奖励声音"`
	VoiceUrl            string `json:"voice_url"`
	Info                string `json:"info"  example:"广告商配置 {\"chuanshanjia\":{\"android_app_key\":\"\"}}"`
}
type AdvertisingBaseResp struct {
	SelectData      []map[string]string `json:"select_data"`
	AdvertisingBase AdvertisingBase     `json:"advertising_base"`
}
type AdvertisingListReq struct {
	Page  string `json:"page"`
	Limit string `json:"limit"`
	Name  string `json:"name"`
	Kind  string `json:"kind"`
}
type AdvertisingListResp struct {
	AdvData    []map[string]string `json:"adv_data"`
	SelectData []map[string]string `json:"select_data"`
	Total      int64               `json:"total"`
	List       []AdvertisingList   `json:"list"`
}
type AdvertisingList struct {
	Id           string `json:"id" `
	Name         string `json:"name" example:"名称"`
	Kind         string `json:"kind" example:"广告类型(1:开屏广告 2:插屏广告 3:激励视频 4:信息流广告  5:全屏视频)"`
	Info         string `json:"info" example:"广告位配置 {\"chuanshanjia\":{\"android_ad_id\":[{\"id\":\"\",\"key\":\"\"}],\"ios_ad_id\":[{\"id\":\"\",\"key\":\"\"}}}"`
	CountingDown string `json:"counting_down" example:"倒计时 单位秒"`
}
type AdvertisingDelReq struct {
	Id []string `json:"id"`
}
type AdvertisingSaveReq struct {
	Id           string `json:"id"`
	Name         string `json:"name" example:"名称"`
	Kind         string `json:"kind" example:"广告类型(1:开屏广告 2:插屏广告 3:激励视频 4:信息流广告  5:全屏视频)"`
	Info         string `json:"info" example:"广告位配置 {\"chuanshanjia\":{\"android_ad_id\":[{\"id\":\"\",\"key\":\"\"}],\"ios_ad_id\":[{\"id\":\"\",\"key\":\"\"}}}"`
	CountingDown string `json:"counting_down" example:"倒计时 单位秒"`
}
type AdvertisingLimit struct {
	Minute         string `json:"minute" example:"分钟"`
	ImeiNum        string `json:"imei_num" example:"设备数量"`
	Tip            string `json:"tip" example:"限制提示"`
	PublicImg      string `json:"public_img" example:"公共弹窗图"`
	PublicImgUrl   string `json:"public_img_url" example:"公共弹窗图"`
	PublicStr      string `json:"public_str" example:"公共弹窗文字"`
	WithdrawImg    string `json:"withdraw_img" example:"提现弹窗图"`
	WithdrawImgUrl string `json:"withdraw_img_url" example:"提现弹窗图"`
	WithdrawStr    string `json:"withdraw_str" example:"提现弹窗文字"`
}

type AdvertisingFunctionListReq struct {
	Page  string `json:"page"`
	Limit string `json:"limit"`
}
type AdvertisingFunctionListResp struct {
	SelectData []map[string]string       `json:"select_data"`
	AdvData    []map[string]string       `json:"adv_data"`
	Total      int64                     `json:"total"`
	List       []AdvertisingFunctionList `json:"list"`
}
type AdvertisingFunctionList struct {
	Id   string `json:"id" `
	Type string `json:"type" example:"类型"`
	AdId string `json:"ad_id" example:"广告id"`
}
