package md

type NoticeListReq struct {
	Page  string `json:"page,required"`  // 页数
	Limit string `json:"limit,required"` // 每页大小
}
type NoticeListResp struct {
	Total      int64               `json:"total"`
	SelectData []map[string]string `json:"select_data"`
	ChangeData []map[string]string `json:"change_data"`
	List       []NoticeList        `json:"list"`
}
type NoticeList struct {
	Id        string `json:"id"`
	Title     string `json:"title"`
	Content   string `json:"content"`
	Type      string `json:"type"`
	JpushOpen string `json:"jpush_open" example:"app推送开启 0关 1开"`
	SmsOpen   string `json:"sms_open" example:"短信推送开启 0关 1开"`
	SmsCode   string `json:"sms_code" example:"短信模板id"`
	Day       string `json:"day" example:" xxx小时(未签到/未登录) 隔 xx小时通知一次 (这里是 X小时,type=sign/login 的时候要显示前面的话填写 sign是未签到 login是未登录)"`
	NoticeDay string `json:"notice_day" example:" xxx小时(未签到/未登录) 隔  xx小时通知一次 (这里是 隔  xx小时,type=sign/login 的时候要显示前面的话填写 sign是未签到 login是未登录)"`
}
type NoticeSaveReq struct {
	Id        string `json:"id"`
	Title     string `json:"title"`
	Content   string `json:"content"`
	Type      string `json:"type"`
	JpushOpen string `json:"jpush_open" example:"app推送开启 0关 1开"`
	SmsOpen   string `json:"sms_open" example:"短信推送开启 0关 1开"`
	SmsCode   string `json:"sms_code" example:"短信模板id"`
	Day       string `json:"day" example:" xxx小时(未签到/未登录) 隔 xx小时通知一次 (这里是 X小时,type=sign/login 的时候要显示前面的话填写 sign是未签到 login是未登录)"`
	NoticeDay string `json:"notice_day" example:" xxx小时(未签到/未登录) 隔  xx小时通知一次 (这里是 隔  xx小时,type=sign/login 的时候要显示前面的话填写 sign是未签到 login是未登录)"`
}
type NoticeDelReq struct {
	Id []string `json:"id"`
}
type NoticePushListResp struct {
	Total        int64               `json:"total"`
	PlatformData []map[string]string `json:"platform_data"`
	TargetData   []map[string]string `json:"target_data"`
	List         []NoticePushList    `json:"list"`
}
type NoticePushList struct {
	Id            string `json:"id"`
	Title         string `json:"title"`
	Content       string `json:"content"`
	Platform      string `json:"platform"`
	Target        string `json:"target"`
	SendType      string `json:"send_type" example:"0立即推送 1定时推送"`
	SendStartTime string `json:"send_start_time" example:"如 2024-11-25 11:56:00"`
	SendEndTime   string `json:"send_end_time" example:"如 2024-11-25 11:56:00"`
	State         string `json:"state"  example:"0待发送 1发送成功"`
}
type NoticePushSaveReq struct {
	Id            string   `json:"id"`
	Title         string   `json:"title"`
	Content       string   `json:"content"`
	Platform      string   `json:"platform"`
	Target        string   `json:"target"`
	SendType      string   `json:"send_type"`
	SendStartTime string   `json:"send_start_time"`
	SendEndTime   string   `json:"send_end_time"`
	UserList      []string `json:"user_list"`
	Level         string   `json:"level"`
}

type NoticeAliyunSmsListReq struct {
	Page  string `json:"page,required"`  // 页数
	Limit string `json:"limit,required"` // 每页大小
}
type NoticeAliyunSmsListResp struct {
	Total      int64                 `json:"total"`
	SelectData []map[string]string   `json:"select_data"`
	List       []NoticeAliyunSmsList `json:"list"`
}
type NoticeAliyunSmsList struct {
	Id        string `json:"id"`
	Title     string `json:"title"`
	Content   string `json:"content" example:"这是 填短信模板id"`
	Type      string `json:"type"`
	IsShow    string `json:"is_show"`
	Day       string `json:"day" example:" xxx小时(未签到/未登录) 隔 xx小时通知一次 (这里是 X小时,type=sign/login 的时候要显示前面的话填写 sign是未签到 login是未登录)"`
	NoticeDay string `json:"notice_day" example:" xxx小时(未签到/未登录) 隔  xx小时通知一次 (这里是 隔  xx小时,type=sign/login 的时候要显示前面的话填写 sign是未签到 login是未登录)"`
}
type NoticeAliyunSmsSaveReq struct {
	Id        string `json:"id"`
	Title     string `json:"title"`
	Content   string `json:"content"`
	IsShow    string `json:"is_show"`
	Type      string `json:"type"`
	Day       string `json:"day" example:" xxx小时(未签到/未登录) 隔 xx小时通知一次 (这里是 X小时,type=sign/login 的时候要显示前面的话填写 sign是未签到 login是未登录)"`
	NoticeDay string `json:"notice_day" example:" xxx小时(未签到/未登录) 隔  xx小时通知一次 (这里是 隔  xx小时,type=sign/login 的时候要显示前面的话填写 sign是未签到 login是未登录)"`
}
type NoticeAliyunSmsDelReq struct {
	Id []string `json:"id"`
}
type NoticeAliyunSmsPushListResp struct {
	Total      int64                     `json:"total"`
	TargetData []map[string]string       `json:"target_data"`
	List       []NoticeAliyunSmsPushList `json:"list"`
}
type NoticeAliyunSmsPushList struct {
	Id      string `json:"id"`
	Title   string `json:"title"`
	Content string `json:"content"`
	Target  string `json:"target"`
	State   string `json:"state"  example:"0待发送 1发送成功"`
}
type NoticeAliyunSmsPushSaveReq struct {
	Id        string   `json:"id"`
	Title     string   `json:"title"`
	Content   string   `json:"content"`
	Target    string   `json:"target"`
	PhoneList []string `json:"phone_list"`
	Level     string   `json:"level"`
}
