package md

import "code.fnuoos.com/EggPlanet/egg_models.git/src/model"

type LevelListNode struct {
	LevelID     int    `json:"level_id"`     // 等级 ID
	LevelName   string `json:"level_name"`   // 等级名称
	LevelWeight int    `json:"level_weight"` // 等级权重
	Count       string `json:"count"`        // 等级人数
	IsUse       int    `json:"is_use"`       // 是否开启(0.否, 1.是)
	Memo        string `json:"memo"`         // 备注
	CreateAt    string `json:"create_at"`    // 创建时间
}

type GetLevelListResp struct {
	List     []LevelListNode `json:"list"`
	Paginate Paginate        `json:"paginate"`
}

type GetOneLevelResp struct {
	TaskType       []map[string]interface{} `json:"task_type"`     // 任务类型关系
	LevelID        int                      `json:"level_id"`      // 等级 ID
	IsUse          int                      `json:"is_use"`        // 是否开启(0.否, 1.是)
	LevelName      string                   `json:"level_name"`    // 等级名称
	Memo           string                   `json:"memo"`          // 备注
	AutoUpdate     int                      `json:"auto_update"`   // 自动升级 0关闭，1开启
	ChoosableNum   int                      `json:"choosable_num"` // 可选任务数量
	LevelWeight    int                      `json:"level_weight"`  // 等级权重
	UserLevelTasks []model.UserLevelTask    `json:"user_level_tasks"`
}

type AddLevelTaskReq struct {
	LevelID         string `json:"level_id"`           // 等级 ID
	IsMustTask      string `json:"is_must_task"`       // 是否必做(0,1)
	TaskType        string `json:"task_type"`          // 1:直推会员人数,2:直推会员活跃天数,3:直推会员等级
	WithinDays      string `json:"within_days"`        // 多少天内完成
	FinishCount     string `json:"finish_count"`       // 多少天内完成的指标
	TaskTypeLevelId string `json:"task_type_level_id"` // 会员等级 ID (task_type=3时生效)
}

type UpdateLevelReq struct {
	LevelID      string `json:"level_id"`
	IsUse        string `json:"is_use"`        // 是否开启(0.否, 1.是)
	AutoUpdate   string `json:"auto_update"`   // 自动升级 0关闭 1开启
	LevelName    string `json:"level_name"`    // 等级名称
	Memo         string `json:"memo"`          // 备注
	LevelWeight  string `json:"level_weight"`  // 等级权重
	ChoosableNum string `json:"choosable_num"` // 可选任务数量
}

type AddLevelReq struct {
	IsUse        string `json:"is_use"`        // 是否开启(0.否, 1.是)
	AutoUpdate   string `json:"auto_update"`   // 自动升级 0关闭 1开启
	LevelName    string `json:"level_name"`    // 等级名称
	Memo         string `json:"memo"`          // 备注
	LevelWeight  string `json:"level_weight"`  // 等级权重
	ChoosableNum string `json:"choosable_num"` // 可选任务数量
}

type UpdateLevelTaskReq struct {
	TaskID          string `json:"task_id,required"`   // 等级 ID
	IsMustTask      string `json:"is_must_task"`       // 是否必做(0,1)
	TaskType        string `json:"task_type"`          // 1:直推会员人数,2:直推会员活跃天数,3:直推会员等级
	WithinDays      string `json:"within_days"`        // 多少天内完成
	FinishCount     string `json:"finish_count"`       // 多少天内完成的指标
	TaskTypeLevelId string `json:"task_type_level_id"` // 会员等级 ID (task_type=3时生效)
}

type DeleteLevelReq struct {
	LevelID string `json:"level_id,required"`
}
type DeleteTaskReq struct {
	TaskID string `json:"task_id,required"`
}
