package md

type TagListNode struct {
	TagID    string `json:"tag_id"`    // 标签 ID
	Name     string `json:"name"`      // 名称
	Count    string `json:"count"`     // 标签人数
	CreateAt string `json:"create_at"` // 创建时间
	Memo     string `json:"memo"`      // 备注
	IsPunish int    `json:"is_punish"` // 是否处罚
}

type GetTagListResp struct {
	List     []TagListNode `json:"list"`
	Paginate Paginate      `json:"paginate"`
}

type AddTagReq struct {
	Name     string `json:"name,required"`      // 标签名称
	Memo     string `json:"memo,required"`      // 备注
	IsPunish string `json:"is_punish,required"` // 是否为处罚标签(0:否 1:是)
}

type UpdateTagReq struct {
	TagID string `json:"tag_id,required"` // 标签 ID
	Name  string `json:"name,required"`   // 标签名称
	Memo  string `json:"memo,required"`   // 备注
}

type DeleteTagReq struct {
	TagID string `json:"tag_id,required"` // 标签 ID
}
