package svc

import (
	"applet/app/cfg"
	"applet/app/lib/auth"
	"applet/app/utils/cache"
	"applet/app/utils/logx"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
)

func HandleLoginToken(cacheKey string, admin *model.Admin) (string, error) {
	// 获取之前生成的token
	token, err := cache.GetString(cacheKey)
	if err != nil {
		_ = logx.Error(err)
	}
	// 没有获取到
	if err != nil || token == "" {
		// 生成token
		token, err = auth.GenToken(admin.AdmId, admin.Username)
		if err != nil {
			return "", err
		}
		// 缓存token
		_, err = cache.SetEx(cacheKey, token, cfg.JwtTokenCacheTime)
		if err != nil {
			return "", err
		}
		return token, nil
	}

	return token, nil
}
