package svc

import (
	"applet/app/utils"
	"applet/app/utils/logx"
	"code.fnuoos.com/EggPlanet/egg_system_rules.git/md"
	"code.fnuoos.com/go_rely_warehouse/zyos_go_es.git/es"
	"fmt"
	"time"
)

// EggEnergyUserEggScoreAutoCreateEsIndex 蛋蛋能量-自动创建蛋蛋分elasticsearch索引
func EggEnergyUserEggScoreAutoCreateEsIndex() {
	fmt.Println("svc_egg_energy_user_egg_score_auto_create_es_index...")
	defer func() {
		if err := recover(); err != nil {
			fmt.Println(err)
			return
		}
	}()

	now := time.Now()
	fmt.Println(now.Hour())
	if !(now.Hour() >= 0 && now.Hour() < 2) {
		//TODO::只在凌晨一点 ~ 凌晨 2 点运行
		return
	}

	//1、获取当前为本年第几周
	year, week := now.ISOWeek()
	esIndex := md.EggEnergyUserEggScoreEsAlias + "_" + utils.IntToStr(year) + utils.IntToStr(week)
	nowEsIndex, err := es.GetLatestIndexFromAlias(md.EggEnergyUserEggScoreEsAlias)
	if err != nil {
		logx.Warn("EggEnergyUserEggScoreAutoCreateEsIndex:::", err)
		return
	}

	if esIndex != nowEsIndex {
		//2、创建新的索引
		err = es.CreateIndexIfNotExists(esIndex, md.EggEnergyUserEggScoreEsMapping)
		if err != nil {
			logx.Warn("EggEnergyUserEggScoreAutoCreateEsIndex:::", err)
		}
	}
	return
}
