// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "http://swagger.io/terms/",
        "contact": {
            "name": "dengbiao",
            "url": "http://www.swagger.io/support",
            "email": "1239118001@qq.com"
        },
        "license": {
            "name": "Apache 2.0",
            "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/advertising/del": {
            "post": {
                "description": "广告管理-广告列表-删除",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "广告管理"
                ],
                "summary": "广告管理-广告列表-删除",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingDelReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/advertising/function/del": {
            "post": {
                "description": "广告管理-广告位置列表-删除",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "广告管理"
                ],
                "summary": "广告管理-广告位置列表-删除",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingDelReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/advertising/function/list": {
            "post": {
                "description": "广告管理-广告位置列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "广告管理"
                ],
                "summary": "广告管理-广告位置列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingFunctionListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingFunctionListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/advertising/function/save": {
            "post": {
                "description": "广告管理-广告位置列表-保存",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "广告管理"
                ],
                "summary": "广告管理-广告位置列表-保存",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingFunctionList"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/advertising/getBasic": {
            "get": {
                "description": "广告管理-基础设置-信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "广告管理"
                ],
                "summary": "广告管理-基础设置-信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingBaseResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/advertising/getLimit": {
            "get": {
                "description": "广告管理-广告设置-信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "广告管理"
                ],
                "summary": "广告管理-广告设置-信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingLimit"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/advertising/list": {
            "post": {
                "description": "广告管理-广告列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "广告管理"
                ],
                "summary": "广告管理-广告列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/advertising/save": {
            "post": {
                "description": "广告管理-广告列表-保存",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "广告管理"
                ],
                "summary": "广告管理-广告列表-保存",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingSaveReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/advertising/setBasic": {
            "post": {
                "description": "广告管理-基础设置-信息保存",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "广告管理"
                ],
                "summary": "广告管理-基础设置-信息保存",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingBase"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/advertising/setLimit": {
            "post": {
                "description": "广告管理-广告设置-信息保存",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "广告管理"
                ],
                "summary": "广告管理-广告设置-信息保存",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AdvertisingLimit"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/article/cate/del": {
            "post": {
                "description": "分类列表-分类删除",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "文章资讯"
                ],
                "summary": "文章资讯-分类列表-分类删除",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ArticleCateDelReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/article/cate/list": {
            "post": {
                "description": "分类列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "文章资讯"
                ],
                "summary": "文章资讯-分类列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ArticleCateListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.ArticleCateListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/article/cate/save": {
            "post": {
                "description": "分类列表-分类保存",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "文章资讯"
                ],
                "summary": "文章资讯-分类列表-分类保存",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ArticleCateSaveReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/article/content/del": {
            "post": {
                "description": "文章列表-文章删除",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "文章资讯"
                ],
                "summary": "文章资讯-文章列表-文章删除",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ArticleDelReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/article/content/list": {
            "post": {
                "description": "文章列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "文章资讯"
                ],
                "summary": "文章资讯-文章列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ArticleListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.ArticleListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/article/content/save": {
            "post": {
                "description": "文章列表-文章保存",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "文章资讯"
                ],
                "summary": "文章资讯-文章列表-文章保存",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ArticleSaveReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/cloudBundle/audit/clear": {
            "post": {
                "description": "云打包-云打包-清除审核模板",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "云打包"
                ],
                "summary": "云打包-云打包-清除审核模板",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AuditClearReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/cloudBundle/audit/set": {
            "post": {
                "description": "云打包-云打包-设置为审核模板",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "云打包"
                ],
                "summary": "云打包-云打包-设置为审核模板",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.CommReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/cloudBundle/base": {
            "get": {
                "description": "打包机使用-云打包基本信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "打包机使用"
                ],
                "summary": "打包机使用-云打包基本信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.CloudBundleBaseResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/cloudBundle/build": {
            "post": {
                "description": "云打包-云打包操作",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "云打包"
                ],
                "summary": "云打包-云打包操作",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.CloudBundleBuildReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/cloudBundle/del": {
            "post": {
                "description": "云打包-云打包删除",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "云打包"
                ],
                "summary": "云打包-云打包删除",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ArticleDelReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/cloudBundle/img/base": {
            "get": {
                "description": "云打包-图片配置",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "云打包"
                ],
                "summary": "云打包-云打包-图片配置",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.CloudBundleImgResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/cloudBundle/img/base/save": {
            "post": {
                "description": "云打包-图片配置",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "云打包"
                ],
                "summary": "云打包-图片配置",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.CloudBundleImgResp"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/cloudBundle/list": {
            "post": {
                "description": "云打包-云打包版本列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "云打包"
                ],
                "summary": "云打包-云打包版本列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.CloudBundleReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.CloudBundleResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/cloudBundle/upload": {
            "post": {
                "description": "打包机使用-云打包-上传许可链接(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "打包机使用"
                ],
                "summary": "打包机使用-云打包-上传许可链接(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "签名上传url",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/comm.ImgReqUploadReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "许可链接",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/cloudBundle/version/base": {
            "get": {
                "description": "云打包-图片配置",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "云打包"
                ],
                "summary": "云打包-云打包-图片配置",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.CloudBundleVersionResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/cloudBundle/version/base/save": {
            "post": {
                "description": "云打包-图片配置",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "云打包"
                ],
                "summary": "云打包-图片配置",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.CloudBundleVersion"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/comm/getOssUrl": {
            "post": {
                "description": "上传许可链接(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象存储"
                ],
                "summary": "通用请求-对象存储-上传许可链接(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "签名上传url",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/comm.ImgReqUploadReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "许可链接",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/config": {
            "get": {
                "description": "基本配置",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "基本配置"
                ],
                "summary": "基本配置",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.ConfigResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/demo": {
            "post": {
                "description": "Demo样例测试",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "Demo"
                ],
                "summary": "Demo测试",
                "parameters": [
                    {
                        "description": "用户名密码",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {}
                    }
                ],
                "responses": {
                    "200": {
                        "description": "token",
                        "schema": {
                            "type": "object",
                            "additionalProperties": true
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/financialCenter/withdraw/applyList": {
            "post": {
                "description": "提现申请列表(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "提现"
                ],
                "summary": "财务中心-提现-提现申请列表(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "筛选条件",
                        "name": "req",
                        "in": "body",
                        "schema": {
                            "$ref": "#/definitions/md.GetWithdrawApplyListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetWithdrawApplyListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/financialCenter/withdraw/setting": {
            "get": {
                "description": "基础设置(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "提现"
                ],
                "summary": "财务中心-提现-基础设置(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetWithdrawSettingResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/financialCenter/withdraw/updateWithdrawSetting": {
            "post": {
                "description": "基础设置(更新)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "提现"
                ],
                "summary": "财务中心-提现-基础设置(更新)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "id 必填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdateWithdrawSettingReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "修改数据条数",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/homePage/activeData": {
            "get": {
                "description": "活跃数据",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "首页"
                ],
                "summary": "首页-首页-活跃数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/hdl.GetActiveDataResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/homePage/growData": {
            "get": {
                "description": "用户增长曲线",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "首页"
                ],
                "summary": "首页-首页-用户增长曲线",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "1:按天 2：按周 3：按小时",
                        "name": "kind",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetPriceCurveResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/homePage/totalData": {
            "get": {
                "description": "数据总览",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "首页"
                ],
                "summary": "首页-首页-数据总览",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "年",
                        "name": "year",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "月",
                        "name": "month",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/hdl.TotalDataResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/im/addCustomerService": {
            "post": {
                "description": "客服(新增)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "客服"
                ],
                "summary": "Im-客服(新增)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "相关参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddCustomerServiceReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/im/addEmoticon": {
            "post": {
                "description": "表情包(新增)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "表情包"
                ],
                "summary": "Im-表情包(新增)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "相关参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddEmoticonReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/im/batchSendGroupMessage": {
            "post": {
                "description": "群发发送群组消息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "群发发送群组消息"
                ],
                "summary": "Im-群发发送群组消息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "相关参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.BatchSendGroupMessageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/im/batchSendUserMessage": {
            "post": {
                "description": "群发发送用户消息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "群发发送用户消息"
                ],
                "summary": "Im-群发发送用户消息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "相关参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.BatchSendUserMessageReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/im/deleteEmoticon": {
            "post": {
                "description": "表情包(删除)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "表情包"
                ],
                "summary": "Im-表情包(删除)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "相关参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.DeleteEmoticonReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/im/getBasic": {
            "get": {
                "description": "基础设置(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "基础设置"
                ],
                "summary": "Im-基础设置(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "设置列表",
                        "schema": {
                            "$ref": "#/definitions/applet_app_md_im.GetBasicResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/im/groupList": {
            "post": {
                "description": "群组用户(列表)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "群组用户"
                ],
                "summary": "Im-群组用户(列表)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "相关参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.GroupListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/md.GroupListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/im/pageCustomerService": {
            "post": {
                "description": "客服(列表)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "客服"
                ],
                "summary": "Im-客服(列表)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "相关参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.PageCustomerServiceReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "设置列表",
                        "schema": {
                            "$ref": "#/definitions/applet_app_md_im.GetBasicResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/im/pageEmoticon": {
            "post": {
                "description": "表情包(列表)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "表情包"
                ],
                "summary": "Im-表情包(列表)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "相关参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.PageEmoticonReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "设置列表",
                        "schema": {
                            "$ref": "#/definitions/applet_app_md_im.GetBasicResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/im/pageSendRedPackageOrd": {
            "post": {
                "description": "红包记录(列表)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "红包记录"
                ],
                "summary": "Im-红包记录(列表)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "相关参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.PageSendRedPackageOrdReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/im/redPackageRecordsDetail": {
            "get": {
                "description": "红包记录(详情)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "红包记录"
                ],
                "summary": "Im-红包记录(详情)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "红包id",
                        "name": "red_package_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/im/setBasic": {
            "post": {
                "description": "基础设置(更新)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "基础设置"
                ],
                "summary": "Im-基础设置(更新)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "上传需要修改的信息",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/applet_app_md_im.SetBasicReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/im/setCustomerServiceState": {
            "post": {
                "description": "客服(更新状态)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "客服"
                ],
                "summary": "Im-客服(更新状态)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "相关参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.SetCustomerServiceStateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/im/setEmoticonState": {
            "post": {
                "description": "表情包(新增)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "表情包"
                ],
                "summary": "Im-表情包(更新状态)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "相关参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.SetEmoticonStateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/im/updateCustomerServiceMemo": {
            "post": {
                "description": "客服(编辑备注)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "客服"
                ],
                "summary": "Im-客服(编辑备注)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "相关参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdateCustomerServiceMemoReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/im/updateEmoticon": {
            "post": {
                "description": "表情包(编辑)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "表情包"
                ],
                "summary": "Im-表情包(编辑)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "相关参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdateEmoticonReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/addVipSetting": {
            "post": {
                "description": "会员设置(新增)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-会员设置(新增)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "system_id 必填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdateEggEnergyVipSettingReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "修改数据条数",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/availableEnergy/list": {
            "post": {
                "description": "动态数据流水(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-动态数据-动态数据流水(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "页数、每页大小必传 起止时间、持有类型选传",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.DynamicDataFlowListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.DynamicDataFlowListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/contributionValue/basic": {
            "get": {
                "description": "贡献值-基础设置(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "贡献值"
                ],
                "summary": "制度中心-蛋蛋能量-贡献值-基础设置(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetContributionValueBasicSettingResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/contributionValue/updateBasic": {
            "post": {
                "description": "贡献值-基础设置(更新)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "贡献值"
                ],
                "summary": "制度中心-蛋蛋能量-贡献值-基础设置(更新)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "id 必填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdateContributionValueBasicSettingReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "修改数据条数",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/eggPoint/manualScore": {
            "post": {
                "description": "蛋蛋分管理(人工打分)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-蛋蛋分管理(人工打分)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ManualScoreReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/eggPoint/statisticsUserEggIndex": {
            "post": {
                "description": "蛋蛋分管理(着陆页数据分析)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-蛋蛋分管理(着陆页数据分析)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.StatisticsEggPointReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.StatisticsEggPointResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/eggPoint/userEggFlow": {
            "post": {
                "description": "蛋蛋分管理(用户数据列表)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-蛋蛋分管理(用户数据列表)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UserEggFlowReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.UserEggFlowReqResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/getBasic": {
            "get": {
                "description": "基础设置(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-基础设置(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetEggEnergyBasicResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/getVipSetting": {
            "get": {
                "description": "基础会员设置(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-基础会员设置(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetEggEnergyVipSettingResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/getVirtualCoinList": {
            "get": {
                "description": "查询所有币种(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-查询所有币种(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/md.VirtualCoin"
                            }
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/globalData/coreDataList": {
            "get": {
                "description": "数据概览(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-数据概览(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetEggCoreDataListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/globalData/fundDataAdd": {
            "post": {
                "description": "价值明细数据(新增)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-价值明细数据(新增)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "数据种类、金额、时长(最长24h)、执行次数必填,备注选填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddFundDataReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "插入数据 id",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/globalData/fundDataList": {
            "post": {
                "description": "新增数据列表(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-新增数据列表(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "分页信息必填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.GetFundDataListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetFundDataListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/globalData/fundDataRecordList": {
            "post": {
                "description": "新增数据列表详情(查询)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-新增数据列表详情(查询)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "获取到的 system_id 以及分页信息",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.GetFundDataRecordListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetFundDataRecordListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/globalData/pointsCenterPriceCurve": {
            "get": {
                "description": "价格趋势(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-价格趋势(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "1:按天 2：按小时 3：按周",
                        "name": "kind",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetPriceCurveResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/platformRevenue/getVideoReward": {
            "post": {
                "description": "激励视频(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-平台营收-激励视频(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "落地页不填页大小默认20条数据",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.SetVideoRewardReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/md.GetVideoRewardResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/platformRevenue/platformRevenueAdd": {
            "post": {
                "description": "其他广告设置数据(新增)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-平台营收-其他广告设置数据(新增)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "数据种类、金额、时长(最长24h)、执行次数必填,备注选填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddPlatformRevenueReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "插入数据 id",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/platformRevenue/platformRevenueList": {
            "post": {
                "description": "其他广告设置数据(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-平台营收-其他广告设置数据(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "分页信息必填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ListPlatformRevenueReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.ListPlatformRevenueResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/platformRevenue/setVideoReward": {
            "post": {
                "description": "激励视频(设置)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-平台营收-激励视频(设置)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "落地页不填页大小默认20条数据",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.SetVideoRewardReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/updateBasic": {
            "post": {
                "description": "基础设置(更新)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-基础设置(更新)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "system_id 必填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdateEggEnergyBasicReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "修改数据条数",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/updateVipSetting": {
            "post": {
                "description": "会员设置(更新)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "蛋蛋能量"
                ],
                "summary": "制度中心-蛋蛋能量-会员设置(更新)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "填入修改后的列表(会员等级名称、兑换余额手续费、分红比例)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdateEggEnergyVipSettingReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "修改数据条数",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/userCoin/eggEnergyUserCoinFlowList": {
            "post": {
                "description": "蛋蛋能量流水(查询)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-活跃积分持有者明细-蛋蛋能量流水(查询)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "至少传入 货币类型 ID 用户 UID 页数 每页大小",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.GetActivePointsUserCoinFlowListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.GetActivePointsUserCoinFlowListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/userCoin/eggEnergyUserCoinList": {
            "post": {
                "description": "蛋蛋能量明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-活跃积分持有者明细-蛋蛋能量明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "落地页不填页大小默认20条数据",
                        "name": "req",
                        "in": "body",
                        "schema": {
                            "$ref": "#/definitions/md.GetActivePointsUserCoinListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.GetActivePointsUserCoinListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/userCoin/eggPointsUserCoinList": {
            "post": {
                "description": "蛋蛋积分持有者明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-绿色能量持有者明细-蛋蛋积分持有者明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "落地页不填页大小默认20条数据",
                        "name": "req",
                        "in": "body",
                        "schema": {
                            "$ref": "#/definitions/md.GetGreenEnergyUserCoinListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.GetGreenEnergyUserCoinListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/eggEnergy/userCoin/getEggPointsUserCoinFlowList": {
            "post": {
                "description": "蛋蛋积分流水明细(查询)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-绿色能量持有者明细-蛋蛋积分流水明细(查询)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "至少传入 货币类型 ID 用户 UID 页数 每页大小",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.GetGreenEnergyUserCoinFlowListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.GetGreenEnergyUserCoinFlowListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/moduleSetting/getModuleSetting": {
            "get": {
                "description": "个性化设置(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "模块设置"
                ],
                "summary": "制度中心-模块设置-个性化设置(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "模块类型值",
                        "name": "mod_name_value",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.ModuleSettingGetResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/moduleSetting/updateModuleSetting": {
            "post": {
                "description": "个性化设置(更新)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "模块设置"
                ],
                "summary": "制度中心-模块设置-个性化设置(更新)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "模块类型值必填 链接传入完整 URL",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ModuleSettingUpdateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "修改数据条数",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/communityDividends/communityDividendsAdd": {
            "post": {
                "description": "社区分红(新增)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-社区分红(新增)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "分红名称、分红总量",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddCommunityDividendsReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功",
                        "schema": {
                            "type": "success"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/communityDividends/communityDividendsList": {
            "post": {
                "description": "社区分红(查询)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-社区分红(查询)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "页数、每页大小必填 起止时间、起止数量选填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ListCommunityDividendsReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.ListCommunityDividendsResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/communityDividends/communityDividendsWithUserAdd": {
            "post": {
                "description": "社区长列表(新增)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-社区长列表(新增)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "新增社区长 ID、备注",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddCommunityDividendsWithUserReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "插入数据 ID",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/communityDividends/communityDividendsWithUserList": {
            "post": {
                "description": "社区长列表(查询)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-社区长列表(查询)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "页数、每页大小必填 手机号、用户ID选填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ListCommunityDividendsWithUserReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "社区长列表",
                        "schema": {
                            "$ref": "#/definitions/md.ListCommunityDividendsWithUserResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/exchangeUserPosition": {
            "post": {
                "description": "关系分布图(位置转换)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-关系分布图(位置转换)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "需要交换的两个位置",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.ExchangeUserPositionReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "type": ""
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/findSubUserRelationshipMap": {
            "get": {
                "description": "关系分布图(获取指定用户上级)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-关系分布图(获取指定用户上级)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "用户ID",
                        "name": "uid",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.FindSubUserRelationshipMapResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/findUserRelationshipMap": {
            "get": {
                "description": "关系分布图(获取指定用户下级)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-关系分布图(获取指定用户下级)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "用户ID",
                        "name": "uid",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.TreeNode"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/getBasic": {
            "get": {
                "description": "公排基础设置(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-公排基础设置(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetPublicPlatoonBasicResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/publicPlatoonUserFreePunish/delete": {
            "delete": {
                "description": "免罚用户(删除)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-免罚用户(删除)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "免罚用户ID",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.DeleteFreePublishUserReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "删除数据数量",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/publicPlatoonUserFreePunish/index": {
            "post": {
                "description": "免罚用户(查询)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-免罚用户(查询)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "页数和行数必填，uid选填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.GetFreePublishUserReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功返回",
                        "schema": {
                            "$ref": "#/definitions/md.GetFreePublishUserResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/publicPlatoonUserFreePunish/save": {
            "post": {
                "description": "免罚用户(新增)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-免罚用户(新增)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "免罚用户ID",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddFreePublishUserReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "插入数据 ID",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/relationshipMap": {
            "get": {
                "description": "关系分布图(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-关系分布图(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "phone",
                        "name": "phone",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "uid",
                        "name": "uid",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.TreeNode"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/selectMember": {
            "post": {
                "description": "公排基础设置选择会员(查询)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-公排基础设置选择会员(查询)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "分页信息必填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.SelectMemberReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.SelectMemberResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/updateBasic": {
            "put": {
                "description": "公排基础设置(修改)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-公排基础设置(修改)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "公排设置表单内容",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdatePublicPlatoonBasicReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/institutionalManagement/publicPlatoon/userDailyActivityAnalysis/index": {
            "post": {
                "description": "日活分析",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公排管理"
                ],
                "summary": "制度中心-公排管理-日活分析",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "用户 ID、查询开始时间、结束时间(查询时间不超过30天)、页数、每页大小",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UserDailyActivityAnalysisReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.UserDailyActivityAnalysisResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/login": {
            "post": {
                "description": "登入",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "登录"
                ],
                "summary": "登陆",
                "parameters": [
                    {
                        "description": "用户名密码",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.LoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "token",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/marketingApplications/newUserRedPackage/getBasic": {
            "get": {
                "description": "新人红包设置(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "营销应用"
                ],
                "summary": "制度中心-营销应用-新人红包设置(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.NewUserRedPackageGetBasicResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/marketingApplications/newUserRedPackage/recordFlowList": {
            "post": {
                "description": "新人红包列表明细(查询)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "营销应用"
                ],
                "summary": "制度中心-营销应用-新人红包列表明细(查询)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "新人红包列表明细查询条件(分页信息、用户 ID必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.NewUserRedPackageRecordFlowListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.NewUserRedPackageRecordFlowListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/marketingApplications/newUserRedPackage/recordList": {
            "post": {
                "description": "新人红包列表(查询)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "营销应用"
                ],
                "summary": "制度中心-营销应用-新人红包列表(查询)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "新人红包列表查询条件(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.NewUserRedPackageRecordListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.NewUserRedPackageRecordListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/marketingApplications/newUserRedPackage/updateBasic": {
            "put": {
                "description": "新人红包设置(修改)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "营销应用"
                ],
                "summary": "制度中心-营销应用-新人红包设置(修改)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "新人红包设置表单",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.NewUserRedPackageUpdateBasicReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/memberCenter/levelManagement/addLevel": {
            "post": {
                "description": "等级管理(新增)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "制度中心-会员中心-等级管理(新增)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "需要新增的等级信息",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddLevelReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "新增等级ID",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/memberCenter/levelManagement/addLevelTask": {
            "post": {
                "description": "等级任务(新增)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "制度中心-会员中心-等级明细-等级任务(新增)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "需要新增的任务信息",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddLevelTaskReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "新增的任务ID",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/memberCenter/levelManagement/deleteLevel": {
            "delete": {
                "description": "等级管理(删除)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "制度中心-会员中心-等级管理(删除)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "需要删除的等级 ID",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.DeleteLevelReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功删除数据数量",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/memberCenter/levelManagement/deleteLevelTask": {
            "delete": {
                "description": "等级任务(删除)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "制度中心-会员中心-等级管理-等级任务(删除)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "需要删除的等级任务ID",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.DeleteTaskReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功删除数据数量",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/memberCenter/levelManagement/getLevelList": {
            "get": {
                "description": "标签管理(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "制度中心-会员中心-等级管理(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "每页大小",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "页数",
                        "name": "page",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetLevelListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/memberCenter/levelManagement/getOneLevel": {
            "get": {
                "description": "等级明细(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "制度中心-会员中心-等级管理-等级明细(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "等级 ID",
                        "name": "level_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetOneLevelResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/memberCenter/levelManagement/updateLevel": {
            "post": {
                "description": "等级管理(更新)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "制度中心-会员中心-等级管理(更新)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "需要修改的等级信息",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdateLevelReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功修改数据条数",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/memberCenter/levelManagement/updateLevelTask": {
            "post": {
                "description": "等级任务(更新)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "制度中心-会员中心-等级明细-等级任务(更新)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "需要修改的等级任务信息",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdateLevelTaskReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功修改数据条数",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/memberCenter/tagManagement/addTag": {
            "post": {
                "description": "标签管理(新增)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "制度中心-会员中心-标签管理(新增)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "新增的标签信息",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddTagReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "新增的标签 ID",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/memberCenter/tagManagement/deleteTag": {
            "delete": {
                "description": "标签管理(删除)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "制度中心-会员中心-标签管理(删除)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "需要删除的标签 ID",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.DeleteTagReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功删除标签用户数",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/memberCenter/tagManagement/getTagList": {
            "get": {
                "description": "标签管理(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "制度中心-会员中心-标签管理(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "每页大小",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "页数",
                        "name": "page",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.GetTagListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/memberCenter/tagManagement/updateTag": {
            "post": {
                "description": "标签管理(更新)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "制度中心-会员中心-标签管理(更新)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "需要修改的标签信息",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdateTagReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "成功修改数据条数",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/memberCenter/userManagement/balanceDetail": {
            "get": {
                "description": "会员明细(余额获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "制度中心-会员中心-用户管理-会员明细(余额获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "用户 ID",
                        "name": "uid",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "每页大小",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "页数",
                        "name": "page",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.UserManagementGetBalanceDetailResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/memberCenter/userManagement/getFans": {
            "get": {
                "description": "会员明细粉丝情况(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "制度中心-会员中心-用户管理-会员明细粉丝情况(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "用户 ID",
                        "name": "uid",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "粉丝类型(1.全部 2.直推 3.二代 4.二代以后)",
                        "name": "type",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "每页大小",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "页数",
                        "name": "page",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.UserManagementGetFansResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/memberCenter/userManagement/getUserList": {
            "post": {
                "description": "用户信息管理(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "制度中心-会员中心-用户管理-用户信息管理(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "分页信息必填",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UserManagementGetUserListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.UserManagementGetUserListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/memberCenter/userManagement/getVirtualCoinDetail": {
            "get": {
                "description": "会员明细(积分明细获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "制度中心-会员中心-用户管理-会员明细(积分明细获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "用户 ID",
                        "name": "uid",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "货币 ID",
                        "name": "coinId",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "每页大小",
                        "name": "limit",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "页数",
                        "name": "page",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.UserManagementGetVirtualCoinDetailResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/memberCenter/userManagement/updateUserInfo": {
            "post": {
                "description": "用户信息管理(更新)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "制度中心-会员中心-用户管理-用户信息管理(更新)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "用户ID 必传",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UserManagementUpdateUserInfoReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "修改数据行数",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/memberCenter/userManagement/userData": {
            "get": {
                "description": "会员明细概况(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "会员中心"
                ],
                "summary": "制度中心-会员中心-用户管理-会员明细概况(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "用户 ID",
                        "name": "uid",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "会员明细概况具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.UserManagementGetOneBasicResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/notice/aliyunSms/file/phone": {
            "post": {
                "description": "短信推送记录-通知模板",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "消息中心"
                ],
                "summary": "消息中心-短信推送记录-通知模板",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "参数 file-----文件上传格式",
                        "name": "file",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "phone 一个数组",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/notice/aliyunSms/push/list": {
            "post": {
                "description": "短信推送记录-推送记录列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "消息中心"
                ],
                "summary": "消息中心-短信推送记录-推送记录列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.NoticeAliyunSmsListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.NoticePushListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/notice/aliyunSms/push/save": {
            "post": {
                "description": "短信推送记录-推送记录添加-发送 (不做编辑了)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "消息中心"
                ],
                "summary": "消息中心-短信推送记录-推送记录添加-发送(不做编辑了)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.NoticeAliyunSmsSaveReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/notice/aliyunSms/sale/base": {
            "get": {
                "description": "短信推送记录-营销短信-通知模板",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "消息中心"
                ],
                "summary": "消息中心-短信推送记录-营销短信-通知模板",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.NoticeAliyunSmsListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/notice/aliyunSms/sale/save": {
            "post": {
                "description": "短信推送记录-营销短信-通知模板添加编辑",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "消息中心"
                ],
                "summary": "消息中心-短信推送记录-营销短信-通知模板添加编辑",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "数组  把列表的数组传过来",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/notice/base/del": {
            "post": {
                "description": "基本配置-通知模板删除",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "消息中心"
                ],
                "summary": "消息中心-基本配置-通知模板删除",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.NoticeDelReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/notice/base/list": {
            "post": {
                "description": "基本配置-通知模板",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "消息中心"
                ],
                "summary": "消息中心-基本配置-通知模板",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.NoticeListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.NoticeListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/notice/base/save": {
            "post": {
                "description": "基本配置-通知模板添加编辑",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "消息中心"
                ],
                "summary": "消息中心-基本配置-通知模板添加编辑",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.NoticeSaveReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/notice/jPush/push/list": {
            "post": {
                "description": "基本配置-推送记录列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "消息中心"
                ],
                "summary": "消息中心-基本配置-推送记录列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.NoticeListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.NoticePushListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/notice/jPush/push/save": {
            "post": {
                "description": "基本配置-推送记录添加-发送 (不做编辑了)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "消息中心"
                ],
                "summary": "消息中心-基本配置-推送记录添加-发送(不做编辑了)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.NoticeSaveReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/settCenter/oss/aliYun/getBasic": {
            "get": {
                "description": "对象存储设置(获取)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象存储"
                ],
                "summary": "设置中心-对象存储-对象存储设置(获取)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "设置列表",
                        "schema": {
                            "$ref": "#/definitions/applet_app_md_setCenter_oss_aliyun.GetBasicResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/settCenter/oss/aliYun/setBasic": {
            "post": {
                "description": "对象存储设置(更新)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "对象存储"
                ],
                "summary": "设置中心-对象存储-对象存储设置(更新)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "上传需要修改的信息",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/applet_app_md_setCenter_oss_aliyun.SetBasicReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/userFeedback/cate/list": {
            "post": {
                "description": "分类列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "消息中心"
                ],
                "summary": "反馈列表-分类列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UserFeedbackCateListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.UserFeedbackCateListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/userFeedback/content/change/state": {
            "post": {
                "description": "反馈列表-修改状态",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "消息中心"
                ],
                "summary": "用户反馈-反馈列表-修改状态",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UserFeedbackSayReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/userFeedback/content/del": {
            "post": {
                "description": "反馈列表-反馈删除",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "消息中心"
                ],
                "summary": "用户反馈-反馈列表-反馈删除",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UserFeedbackDelReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/userFeedback/content/list": {
            "post": {
                "description": "反馈列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "消息中心"
                ],
                "summary": "用户反馈-反馈列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UserFeedbackListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.UserFeedbackListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/userFeedback/content/record/list": {
            "post": {
                "description": "反馈列表-沟通记录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "消息中心"
                ],
                "summary": "用户反馈-反馈列表-沟通记录",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UserFeedbackRecordListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "$ref": "#/definitions/md.UserFeedbackRecordListResp"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/userFeedback/content/say": {
            "post": {
                "description": "反馈列表-沟通发送",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "消息中心"
                ],
                "summary": "用户反馈-反馈列表-沟通发送",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UserFeedbackSayReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/user_feedback/cate/del": {
            "post": {
                "description": "分类列表-分类删除",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "消息中心"
                ],
                "summary": "反馈列表-分类列表-分类删除",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UserFeedbackCateDelReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/user_feedback/cate/save": {
            "post": {
                "description": "分类列表-分类保存",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "消息中心"
                ],
                "summary": "反馈列表-分类列表-分类保存",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "(分页信息必填)",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UserFeedbackCateSaveReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体数据",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "applet_app_md_financial_center.Paginate": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "total": {
                    "description": "总数据量",
                    "type": "integer"
                }
            }
        },
        "applet_app_md_im.GetBasicResp": {
            "type": "object",
            "properties": {
                "chat_sensitive_words": {
                    "type": "string",
                    "example": "聊天敏感词"
                },
                "is_allow_add_friends": {
                    "type": "string",
                    "example": "是否允许加好友"
                },
                "is_auto_add_friends": {
                    "type": "string",
                    "example": "是否自动加好友"
                },
                "prohibit_add_group_members": {
                    "type": "string",
                    "example": "是否禁止添加群成员"
                },
                "prohibit_remove_group_members": {
                    "type": "string",
                    "example": "是否禁止移出群成员"
                },
                "prohibit_update_group_name": {
                    "type": "string",
                    "example": "是否禁止修改群名称"
                }
            }
        },
        "applet_app_md_im.SetBasicReq": {
            "type": "object",
            "properties": {
                "chat_sensitive_words": {
                    "type": "string",
                    "example": "聊天敏感词"
                },
                "is_allow_add_friends": {
                    "type": "string",
                    "example": "是否允许加好友"
                },
                "is_auto_add_friends": {
                    "type": "string",
                    "example": "是否自动加好友"
                },
                "prohibit_add_group_members": {
                    "type": "string",
                    "example": "是否禁止添加群成员"
                },
                "prohibit_remove_group_members": {
                    "type": "string",
                    "example": "是否禁止移出群成员"
                },
                "prohibit_update_group_name": {
                    "type": "string",
                    "example": "是否禁止修改群名称"
                }
            }
        },
        "applet_app_md_institutional_management_egg_energy.BasicSetting": {
            "type": "object",
            "properties": {
                "direct_push_reward": {
                    "description": "直推奖励",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.DirectPushRewardSettingStruct"
                        }
                    ]
                },
                "is_open": {
                    "description": "是否开启(1：开启 0：关闭)",
                    "type": "integer"
                },
                "person_egg_energy_coin_id": {
                    "description": "个人蛋蛋能量对应虚拟币 id",
                    "type": "integer"
                },
                "person_egg_points_coin_id": {
                    "description": "个人蛋蛋积分对应虚拟币 id",
                    "type": "integer"
                },
                "team_egg_energy_coin_id": {
                    "description": "团队蛋蛋能量对应虚拟币 id",
                    "type": "integer"
                },
                "team_egg_points_coin_id": {
                    "description": "团队蛋蛋积分对应虚拟币 id",
                    "type": "integer"
                }
            }
        },
        "applet_app_md_institutional_management_egg_energy.Paginate": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "total": {
                    "description": "总数据量",
                    "type": "integer"
                }
            }
        },
        "applet_app_md_institutional_management_public_platoon.BasicSetting": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "is_open": {
                    "description": "是否开启(1:开启 0:关闭)",
                    "type": "integer"
                },
                "is_self_active_get_team_revenue": {
                    "description": "会员本人没有日活，没有圈层奖励(1:开启 0:关闭)",
                    "type": "integer"
                },
                "originator_uid": {
                    "description": "创始人uid",
                    "type": "integer"
                },
                "several_rows": {
                    "description": "几排",
                    "type": "integer"
                },
                "several_times": {
                    "description": "几乘",
                    "type": "integer"
                },
                "system_punish_replace": {
                    "description": "是否位置滑落 被新用户替换 0否 1是",
                    "type": "integer"
                },
                "system_punish_replace_value": {
                    "description": "xx天未活跃，处罚滑落",
                    "type": "integer"
                }
            }
        },
        "applet_app_md_institutional_management_public_platoon.Paginate": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "total": {
                    "description": "总数据量",
                    "type": "integer"
                }
            }
        },
        "applet_app_md_marketing_applications_new_user_red_package.Paginate": {
            "type": "object",
            "properties": {
                "limit": {
                    "type": "integer"
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "applet_app_md_member_center.Paginate": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "total": {
                    "description": "总数据量",
                    "type": "integer"
                }
            }
        },
        "applet_app_md_setCenter_oss_aliyun.GetBasicResp": {
            "type": "object",
            "properties": {
                "oss_access_key_id": {
                    "type": "string",
                    "example": "oss访问秘钥id"
                },
                "oss_access_key_secret": {
                    "type": "string",
                    "example": "oss访问秘钥"
                },
                "oss_bucket_name": {
                    "type": "string",
                    "example": "oss存储桶名称"
                },
                "oss_bucket_scheme": {
                    "type": "string",
                    "example": "oss上传方式"
                },
                "oss_endpoint": {
                    "type": "string",
                    "example": "oss地域节点"
                },
                "oss_object_domain": {
                    "type": "string",
                    "example": "oss域名"
                },
                "oss_option": {
                    "type": "string",
                    "example": "oss上传文件类型选项,以逗号分割"
                }
            }
        },
        "applet_app_md_setCenter_oss_aliyun.SetBasicReq": {
            "type": "object",
            "properties": {
                "oss_access_key_id": {
                    "type": "string",
                    "example": "oss访问秘钥id"
                },
                "oss_access_key_secret": {
                    "type": "string",
                    "example": "oss访问秘钥"
                },
                "oss_bucket_name": {
                    "type": "string",
                    "example": "oss存储桶名称"
                },
                "oss_bucket_scheme": {
                    "type": "string",
                    "example": "oss上传方式"
                },
                "oss_endpoint": {
                    "type": "string",
                    "example": "oss地域节点"
                },
                "oss_object_domain": {
                    "type": "string",
                    "example": "oss域名"
                },
                "oss_option": {
                    "type": "string",
                    "example": "oss上传文件类型选项,以逗号分割"
                }
            }
        },
        "comm.ImgReqUploadReq": {
            "type": "object",
            "required": [
                "content_type",
                "file_name"
            ],
            "properties": {
                "content_type": {
                    "type": "string",
                    "example": "image/jpeg"
                },
                "file_name": {
                    "type": "string",
                    "example": "文件名"
                }
            }
        },
        "hdl.GetActiveDataResp": {
            "type": "object",
            "properties": {
                "today": {
                    "description": "今日数据",
                    "allOf": [
                        {
                            "$ref": "#/definitions/model.PlatformActiveData"
                        }
                    ]
                },
                "yesterday": {
                    "description": "昨日数据",
                    "allOf": [
                        {
                            "$ref": "#/definitions/model.PlatformActiveData"
                        }
                    ]
                }
            }
        },
        "hdl.TotalDataResp": {
            "type": "object",
            "properties": {
                "month": {
                    "description": "月份",
                    "type": "string"
                },
                "no_sign_in_user_count": {
                    "description": "未签到用户数",
                    "type": "integer"
                },
                "total_user_count": {
                    "description": "平台总用户数",
                    "type": "integer"
                },
                "total_withdraw_amount": {
                    "description": "已提现累计金额",
                    "type": "string"
                },
                "verified_user_count": {
                    "description": "已认证用户数",
                    "type": "integer"
                },
                "year": {
                    "description": "年份",
                    "type": "string"
                }
            }
        },
        "md.ActivePointsWalletNode": {
            "type": "object",
            "properties": {
                "amount": {
                    "type": "string",
                    "example": "账户余额"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "integer"
                },
                "user_name": {
                    "type": "string",
                    "example": "用户名"
                },
                "user_phone": {
                    "type": "string",
                    "example": "手机号"
                }
            }
        },
        "md.AddCommunityDividendsReq": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "社区分红数量",
                    "type": "string"
                },
                "name": {
                    "type": "string",
                    "example": "社区分红名称"
                }
            }
        },
        "md.AddCommunityDividendsWithUserReq": {
            "type": "object",
            "properties": {
                "memo": {
                    "type": "string",
                    "example": "备注"
                },
                "uid": {
                    "description": "新增社区长用户 ID",
                    "type": "integer"
                }
            }
        },
        "md.AddCustomerServiceReq": {
            "type": "object",
            "properties": {
                "memo": {
                    "description": "备注",
                    "type": "string",
                    "example": "备注"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                },
                "weight": {
                    "description": "权重",
                    "type": "integer"
                }
            }
        },
        "md.AddEmoticonReq": {
            "type": "object",
            "properties": {
                "img_url": {
                    "type": "string",
                    "example": "图片地址"
                },
                "memo": {
                    "description": "备注",
                    "type": "string",
                    "example": "备注"
                },
                "name": {
                    "type": "string",
                    "example": "名称"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                }
            }
        },
        "md.AddFreePublishUserReq": {
            "type": "object",
            "properties": {
                "uid": {
                    "type": "integer"
                }
            }
        },
        "md.AddFundDataReq": {
            "type": "object",
            "properties": {
                "frequency": {
                    "description": "频率(分钟)",
                    "type": "integer"
                },
                "hours": {
                    "description": "时长(小时)",
                    "type": "integer"
                },
                "kind": {
                    "description": "种类(1:公司补贴 2:资方投资 3:市场期望)",
                    "type": "integer"
                },
                "memo": {
                    "type": "string",
                    "example": "备注"
                },
                "total_amount": {
                    "description": "金额",
                    "type": "string"
                }
            }
        },
        "md.AddLevelReq": {
            "type": "object",
            "properties": {
                "auto_update": {
                    "description": "自动升级 0关闭 1开启",
                    "type": "string"
                },
                "choosable_num": {
                    "description": "可选任务数量",
                    "type": "string"
                },
                "is_use": {
                    "description": "是否开启(0.否, 1.是)",
                    "type": "string"
                },
                "level_name": {
                    "description": "等级名称",
                    "type": "string"
                },
                "level_weight": {
                    "description": "等级权重",
                    "type": "string"
                },
                "memo": {
                    "description": "备注",
                    "type": "string"
                }
            }
        },
        "md.AddLevelTaskReq": {
            "type": "object",
            "properties": {
                "finish_count": {
                    "description": "多少天内完成的指标",
                    "type": "string"
                },
                "is_must_task": {
                    "description": "是否必做(0,1)",
                    "type": "string"
                },
                "level_id": {
                    "description": "等级 ID",
                    "type": "string"
                },
                "task_type": {
                    "description": "1:直推会员人数,2:直推会员活跃天数,3:直推会员等级",
                    "type": "string"
                },
                "task_type_level_id": {
                    "description": "会员等级 ID (task_type=3时生效)",
                    "type": "string"
                },
                "within_days": {
                    "description": "多少天内完成",
                    "type": "string"
                }
            }
        },
        "md.AddPlatformRevenueReq": {
            "type": "object",
            "properties": {
                "frequency": {
                    "description": "频率(分钟)",
                    "type": "integer"
                },
                "hours": {
                    "description": "时长(小时)",
                    "type": "integer"
                },
                "kind": {
                    "description": "种类(1:开屏广告 2:banner 广告 3:信息流广告 4：插屏广告)",
                    "type": "integer"
                },
                "memo": {
                    "type": "string",
                    "example": "备注"
                },
                "total_amount": {
                    "description": "金额",
                    "type": "string"
                }
            }
        },
        "md.AddTagReq": {
            "type": "object",
            "properties": {
                "is_punish": {
                    "description": "是否为处罚标签(0:否 1:是)",
                    "type": "string"
                },
                "memo": {
                    "description": "备注",
                    "type": "string"
                },
                "name": {
                    "description": "标签名称",
                    "type": "string"
                }
            }
        },
        "md.AdvertisingBase": {
            "type": "object",
            "properties": {
                "android_ad_is_open": {
                    "type": "string",
                    "example": "安卓广告是否开启(1:开启 0:不开启)"
                },
                "android_open_ad_is_open": {
                    "type": "string",
                    "example": "安卓开屏广告是否开启(1:开启 0:不开启)"
                },
                "info": {
                    "type": "string",
                    "example": "广告商配置 {\"chuanshanjia\":{\"android_app_key\":\"\"}}"
                },
                "ios_ad_is_open": {
                    "type": "string",
                    "example": "ios广告是否开启(1:开启 0:不开启)"
                },
                "ios_open_ad_is_open": {
                    "type": "string",
                    "example": "ios开屏广告是否开启(1:开启 0:不开启)"
                },
                "voice": {
                    "type": "string",
                    "example": "领取奖励声音"
                },
                "voice_url": {
                    "type": "string"
                }
            }
        },
        "md.AdvertisingBaseResp": {
            "type": "object",
            "properties": {
                "advertising_base": {
                    "$ref": "#/definitions/md.AdvertisingBase"
                },
                "select_data": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "md.AdvertisingDelReq": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "md.AdvertisingFunctionList": {
            "type": "object",
            "properties": {
                "ad_id": {
                    "type": "string",
                    "example": "广告id"
                },
                "id": {
                    "type": "string"
                },
                "type": {
                    "type": "string",
                    "example": "类型"
                }
            }
        },
        "md.AdvertisingFunctionListReq": {
            "type": "object",
            "properties": {
                "limit": {
                    "type": "string"
                },
                "page": {
                    "type": "string"
                }
            }
        },
        "md.AdvertisingFunctionListResp": {
            "type": "object",
            "properties": {
                "adv_data": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.AdvertisingFunctionList"
                    }
                },
                "select_data": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "md.AdvertisingLimit": {
            "type": "object",
            "properties": {
                "imei_num": {
                    "type": "string",
                    "example": "设备数量"
                },
                "minute": {
                    "type": "string",
                    "example": "分钟"
                },
                "public_img": {
                    "type": "string",
                    "example": "公共弹窗图"
                },
                "public_img_url": {
                    "type": "string",
                    "example": "公共弹窗图"
                },
                "public_str": {
                    "type": "string",
                    "example": "公共弹窗文字"
                },
                "tip": {
                    "type": "string",
                    "example": "限制提示"
                },
                "withdraw_img": {
                    "type": "string",
                    "example": "提现弹窗图"
                },
                "withdraw_img_url": {
                    "type": "string",
                    "example": "提现弹窗图"
                },
                "withdraw_str": {
                    "type": "string",
                    "example": "提现弹窗文字"
                }
            }
        },
        "md.AdvertisingList": {
            "type": "object",
            "properties": {
                "counting_down": {
                    "type": "string",
                    "example": "倒计时 单位秒"
                },
                "id": {
                    "type": "string"
                },
                "info": {
                    "type": "string",
                    "example": "广告位配置 {\"chuanshanjia\":{\"android_ad_id\":[{\"id\":\"\",\"key\":\"\"}],\"ios_ad_id\":[{\"id\":\"\",\"key\":\"\"}}}"
                },
                "kind": {
                    "type": "string",
                    "example": "广告类型(1:开屏广告 2:插屏广告 3:激励视频 4:信息流广告  5:全屏视频)"
                },
                "name": {
                    "type": "string",
                    "example": "名称"
                }
            }
        },
        "md.AdvertisingListReq": {
            "type": "object",
            "properties": {
                "kind": {
                    "type": "string"
                },
                "limit": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "page": {
                    "type": "string"
                }
            }
        },
        "md.AdvertisingListResp": {
            "type": "object",
            "properties": {
                "adv_data": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.AdvertisingList"
                    }
                },
                "select_data": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "md.AdvertisingSaveReq": {
            "type": "object",
            "properties": {
                "counting_down": {
                    "type": "string",
                    "example": "倒计时 单位秒"
                },
                "id": {
                    "type": "string"
                },
                "info": {
                    "type": "string",
                    "example": "广告位配置 {\"chuanshanjia\":{\"android_ad_id\":[{\"id\":\"\",\"key\":\"\"}],\"ios_ad_id\":[{\"id\":\"\",\"key\":\"\"}}}"
                },
                "kind": {
                    "type": "string",
                    "example": "广告类型(1:开屏广告 2:插屏广告 3:激励视频 4:信息流广告  5:全屏视频)"
                },
                "name": {
                    "type": "string",
                    "example": "名称"
                }
            }
        },
        "md.ArticleCateDelReq": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "md.ArticleCateList": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "is_show": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "pid": {
                    "type": "string"
                },
                "sort": {
                    "type": "string"
                }
            }
        },
        "md.ArticleCateListReq": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "string"
                },
                "page": {
                    "description": "页数",
                    "type": "string"
                }
            }
        },
        "md.ArticleCateListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.ArticleCateList"
                    }
                },
                "select_data": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "md.ArticleCateSaveReq": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "is_show": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "pid": {
                    "type": "string"
                },
                "sort": {
                    "type": "string"
                }
            }
        },
        "md.ArticleDelReq": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "md.ArticleList": {
            "type": "object",
            "properties": {
                "cate_id": {
                    "type": "string",
                    "example": "二级分类id"
                },
                "content": {
                    "type": "string"
                },
                "cover": {
                    "type": "string",
                    "example": "一级分类id=4 显示 封面图"
                },
                "cover_url": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "is_show": {
                    "type": "string"
                },
                "pid": {
                    "type": "string",
                    "example": "一级分类id"
                },
                "sort": {
                    "type": "string"
                },
                "title": {
                    "type": "string"
                }
            }
        },
        "md.ArticleListReq": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "string"
                },
                "page": {
                    "description": "页数",
                    "type": "string"
                }
            }
        },
        "md.ArticleListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.ArticleList"
                    }
                },
                "select_data": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "md.ArticleSaveReq": {
            "type": "object",
            "properties": {
                "cate_id": {
                    "type": "string",
                    "example": "二级分类id"
                },
                "content": {
                    "type": "string"
                },
                "cover": {
                    "type": "string",
                    "example": "一级分类id=4 显示 封面图"
                },
                "id": {
                    "type": "string"
                },
                "is_show": {
                    "type": "string"
                },
                "pid": {
                    "type": "string",
                    "example": "一级分类id"
                },
                "sort": {
                    "type": "string"
                },
                "title": {
                    "type": "string"
                }
            }
        },
        "md.AuditClearReq": {
            "type": "object",
            "properties": {
                "os": {
                    "type": "string",
                    "example": "1-安卓 2-ios"
                }
            }
        },
        "md.BalanceDetailNode": {
            "type": "object",
            "properties": {
                "after_amount": {
                    "description": "变更后余额",
                    "type": "string"
                },
                "amount": {
                    "description": "变更数量",
                    "type": "string"
                },
                "before_amount": {
                    "description": "变更前余额",
                    "type": "string"
                },
                "create_at": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "记录ID",
                    "type": "integer"
                },
                "kind": {
                    "description": "类型 1:管理员操作增加余额 2:管理员操作扣除余额 3:蛋蛋能量兑换余额 4:余额兑换蛋蛋能量",
                    "type": "string"
                }
            }
        },
        "md.BasicInfoNode": {
            "type": "object",
            "properties": {
                "avatar": {
                    "description": "头像",
                    "type": "string"
                },
                "levelId": {
                    "description": "会员等级 ID",
                    "type": "integer"
                },
                "level_name": {
                    "description": "会员等级名称",
                    "type": "string"
                },
                "memo": {
                    "description": "备注",
                    "type": "string"
                },
                "nickname": {
                    "description": "用户名称",
                    "type": "string"
                },
                "parent_name": {
                    "description": "推荐人名称",
                    "type": "string"
                },
                "parent_phone": {
                    "description": "推荐人手机号",
                    "type": "string"
                },
                "parent_uid": {
                    "description": "推荐人",
                    "type": "integer"
                },
                "password": {
                    "description": "登录密码",
                    "type": "string"
                },
                "phone": {
                    "description": "手机号",
                    "type": "string"
                },
                "sex": {
                    "description": "性别",
                    "type": "integer"
                },
                "state": {
                    "description": "账号状态 1正常,2冻结",
                    "type": "integer"
                },
                "tag": {
                    "description": "标签名称",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.TagNode"
                    }
                },
                "union_id": {
                    "description": "微信号",
                    "type": "string"
                }
            }
        },
        "md.BatchSendGroupMessageReq": {
            "type": "object",
            "properties": {
                "content": {
                    "description": "消息内容",
                    "type": "string"
                },
                "kind": {
                    "description": "消息类型(0未知 1文本 2表情 3语音消息 4图片 5文件 6地理位置 7指令推送 8自定义 9撤回消息 10红包消息)",
                    "type": "integer"
                },
                "not_condition": {
                    "description": "不发送条件 群 ID 以\";\"分割",
                    "type": "string"
                },
                "send_condition": {
                    "description": "发送条件 群 ID 以\";\"分割",
                    "type": "string"
                },
                "send_kind": {
                    "description": "发送模式(1:指定群组 2:所有群组)",
                    "type": "integer"
                }
            }
        },
        "md.BatchSendUserMessageReq": {
            "type": "object",
            "properties": {
                "content": {
                    "description": "消息内容",
                    "type": "string"
                },
                "kind": {
                    "description": "消息类型(0未知 1文本 2表情 3语音消息 4图片 5文件 6地理位置 7指令推送 8自定义 9撤回消息 10红包消息)",
                    "type": "integer"
                },
                "not_condition": {
                    "description": "不发送条件 用户手机号 以\";\"分割",
                    "type": "string"
                },
                "send_condition": {
                    "description": "发送条件 用户手机号 以\";\"分割",
                    "type": "string"
                },
                "send_kind": {
                    "description": "发送模式(1:所有用户 2:指定用户)",
                    "type": "integer"
                }
            }
        },
        "md.CloudBundleBaseResp": {
            "type": "object",
            "properties": {
                "android_logo": {
                    "type": "string"
                },
                "android_start_img": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "ios_logo": {
                    "type": "string"
                },
                "ios_start_img": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "md.CloudBundleBuildReq": {
            "type": "object",
            "properties": {
                "bit": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "isCombine": {
                    "type": "string"
                },
                "memo": {
                    "type": "string"
                },
                "os": {
                    "type": "string"
                },
                "platform": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "version": {
                    "type": "string"
                }
            }
        },
        "md.CloudBundleImgResp": {
            "type": "object",
            "properties": {
                "android_logo": {
                    "type": "string"
                },
                "android_logo_url": {
                    "type": "string"
                },
                "android_start_img": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "guide": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.Guide"
                    }
                },
                "ios_logo": {
                    "type": "string"
                },
                "ios_logo_url": {
                    "type": "string"
                },
                "ios_start_img": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "md.CloudBundleList": {
            "type": "object",
            "properties": {
                "apply_at": {
                    "type": "string"
                },
                "bit": {
                    "type": "string"
                },
                "build_id": {
                    "type": "string"
                },
                "finish_at": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "is_auditing": {
                    "type": "string"
                },
                "is_combine": {
                    "type": "string"
                },
                "memo": {
                    "type": "string"
                },
                "os": {
                    "type": "string"
                },
                "platform": {
                    "type": "string"
                },
                "src": {
                    "type": "string"
                },
                "state": {
                    "type": "string"
                },
                "version": {
                    "type": "string"
                }
            }
        },
        "md.CloudBundleReq": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "string"
                },
                "page": {
                    "description": "页数",
                    "type": "string"
                }
            }
        },
        "md.CloudBundleResp": {
            "type": "object",
            "properties": {
                "last_android": {
                    "type": "string"
                },
                "last_bit": {
                    "type": "string"
                },
                "last_is_combine": {
                    "type": "string"
                },
                "last_platform": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.CloudBundleList"
                    }
                },
                "list_ios": {
                    "type": "string"
                },
                "select_data": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.CloudBundleVersionMap"
                    }
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "md.CloudBundleUpdateStateReq": {
            "type": "object",
            "properties": {
                "build_id": {
                    "type": "string"
                },
                "build_number": {
                    "type": "string"
                },
                "error_msg": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "src": {
                    "type": "string"
                },
                "state": {
                    "type": "string"
                }
            }
        },
        "md.CloudBundleVersion": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "img": {
                    "type": "string"
                },
                "img_url": {
                    "type": "string"
                },
                "is_must": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                },
                "url": {
                    "type": "string"
                },
                "version": {
                    "type": "string"
                }
            }
        },
        "md.CloudBundleVersionMap": {
            "type": "object",
            "properties": {
                "name": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                }
            }
        },
        "md.CloudBundleVersionResp": {
            "type": "object",
            "properties": {
                "version": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.CloudBundleVersion"
                    }
                }
            }
        },
        "md.CommReq": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                }
            }
        },
        "md.ConfigResp": {
            "type": "object",
            "properties": {
                "oss_url": {
                    "type": "string",
                    "example": "阿里云图片链接"
                }
            }
        },
        "md.DailyActivityAnalysisTopData": {
            "type": "object",
            "properties": {
                "activity_count": {
                    "description": "子节点活跃天数",
                    "type": "integer"
                },
                "team_activity_user_count": {
                    "description": "子节点活跃人数",
                    "type": "integer"
                },
                "team_user_count": {
                    "description": "团队人数",
                    "type": "integer"
                }
            }
        },
        "md.DataSetting": {
            "type": "object",
            "properties": {
                "total_angel_investor": {
                    "description": "天使投资人",
                    "type": "string",
                    "example": "天使投资人"
                },
                "total_ecological_development": {
                    "description": "生态建设",
                    "type": "string",
                    "example": "当前价格"
                },
                "total_issuance_amount": {
                    "description": "总发行量",
                    "type": "string",
                    "example": "总发行量"
                },
                "total_operate_fund": {
                    "description": "运营资金",
                    "type": "string",
                    "example": "运营资金"
                },
                "total_team_dividends": {
                    "description": "团队分红",
                    "type": "string",
                    "example": "团队分红"
                },
                "total_technology_team": {
                    "description": "技术团队",
                    "type": "string",
                    "example": "技术团队"
                },
                "total_user_for_person": {
                    "description": "个人区域",
                    "type": "string",
                    "example": "个人区域"
                },
                "total_user_for_team": {
                    "description": "团队区域",
                    "type": "string",
                    "example": "团队区域"
                }
            }
        },
        "md.DeleteEmoticonReq": {
            "type": "object",
            "properties": {
                "id": {
                    "description": "拥有用户数量",
                    "type": "integer"
                }
            }
        },
        "md.DeleteFreePublishUserReq": {
            "type": "object",
            "properties": {
                "uid": {
                    "type": "string"
                }
            }
        },
        "md.DeleteLevelReq": {
            "type": "object",
            "properties": {
                "level_id": {
                    "type": "string"
                }
            }
        },
        "md.DeleteTagReq": {
            "type": "object",
            "properties": {
                "tag_id": {
                    "description": "标签 ID",
                    "type": "string"
                }
            }
        },
        "md.DeleteTaskReq": {
            "type": "object",
            "properties": {
                "task_id": {
                    "type": "string"
                }
            }
        },
        "md.DestructionSettingStruct": {
            "type": "object",
            "properties": {
                "community_dividends": {
                    "description": "社区分红百分比",
                    "type": "string"
                },
                "destruction_quantity": {
                    "description": "销毁百分比",
                    "type": "string"
                },
                "development_committee": {
                    "description": "发展委员会百分比",
                    "type": "string"
                },
                "marketplace_merchant": {
                    "description": "市商数量百分比",
                    "type": "string"
                },
                "public_welfare_and_charity": {
                    "description": "公益慈善百分比",
                    "type": "string"
                },
                "star_level_dividends": {
                    "description": "星级分红百分比",
                    "type": "string"
                }
            }
        },
        "md.DirectPushRewardSettingStruct": {
            "type": "object",
            "properties": {
                "member_self_is_open_get_team_reward": {
                    "description": "会员是否活跃得到团队奖励",
                    "type": "string"
                },
                "reward_rate_value": {
                    "description": "奖励百分比",
                    "type": "string"
                }
            }
        },
        "md.DynamicDataFlowListReq": {
            "type": "object",
            "properties": {
                "end_at": {
                    "description": "结束时间",
                    "type": "string",
                    "example": "结束时间"
                },
                "kind": {
                    "description": "持有类型",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "start_at": {
                    "description": "开始时间",
                    "type": "string",
                    "example": "开始时间"
                }
            }
        },
        "md.DynamicDataFlowListResp": {
            "type": "object",
            "properties": {
                "kind_list": {
                    "description": "类型列表",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "list": {
                    "description": "动态数据流水列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.EggEnergyAvailableEnergyFlow"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md_institutional_management_egg_energy.Paginate"
                }
            }
        },
        "md.EggEnergyAvailableEnergyFlow": {
            "type": "object",
            "properties": {
                "after_community_dividends": {
                    "description": "变更后-社区分红区块币数量",
                    "type": "string"
                },
                "after_destruction_quantity_values": {
                    "description": "变更后-销毁区块币数量",
                    "type": "string"
                },
                "after_development_committee_values": {
                    "description": "变更后-发展委员会区块币数量",
                    "type": "string"
                },
                "after_marketplace_merchant_fund_values": {
                    "description": "变更后-市商资金值",
                    "type": "string"
                },
                "after_marketplace_merchant_values": {
                    "description": "变更后-市商区块币数量",
                    "type": "string"
                },
                "after_now_energy_total_nums": {
                    "description": "变更后-现行总量",
                    "type": "string"
                },
                "after_planet_total_value": {
                    "description": "变更后-星球总价值",
                    "type": "string"
                },
                "after_price": {
                    "description": "变更后-价格",
                    "type": "string"
                },
                "after_public_welfare_and_charity_values": {
                    "description": "变更后-公益慈善区块币数量",
                    "type": "string"
                },
                "after_star_level_dividends_values": {
                    "description": "变更后-星级分红区块币数量",
                    "type": "string"
                },
                "amount": {
                    "description": "变更数量",
                    "type": "string"
                },
                "before_community_dividends": {
                    "description": "变更前-社区分红区块币数量",
                    "type": "string"
                },
                "before_destruction_quantity_values": {
                    "description": "变更前-销毁区块币数量",
                    "type": "string"
                },
                "before_development_committee_values": {
                    "description": "变更前-发展委员会区块币数量",
                    "type": "string"
                },
                "before_marketplace_merchant_fund_values": {
                    "description": "变更前-市商资金值",
                    "type": "string"
                },
                "before_marketplace_merchant_values": {
                    "description": "变更前-市商区块币数量",
                    "type": "string"
                },
                "before_now_energy_total_nums": {
                    "description": "变更前-现行总量",
                    "type": "string"
                },
                "before_planet_total_value": {
                    "description": "变更前-星球总价值",
                    "type": "string"
                },
                "before_price": {
                    "description": "变更前-价格",
                    "type": "string"
                },
                "before_public_welfare_and_charity_values": {
                    "description": "变更前-公益慈善区块币数量",
                    "type": "string"
                },
                "before_star_level_dividends_values": {
                    "description": "变更前-星级分红区块币数量",
                    "type": "string"
                },
                "create_time": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "kind": {
                    "description": "种类",
                    "type": "integer"
                },
                "title": {
                    "description": "标题",
                    "type": "string"
                }
            }
        },
        "md.EggEnergyCommunityDividends": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "分红数量",
                    "type": "string"
                },
                "coin_id": {
                    "description": "虚拟币 id",
                    "type": "integer"
                },
                "create_at": {
                    "description": "分红时间",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "is_over": {
                    "description": "是否分红完毕",
                    "type": "integer"
                },
                "name": {
                    "type": "string",
                    "example": "名称"
                },
                "persons_num": {
                    "description": "分红人数",
                    "type": "integer"
                },
                "update_at": {
                    "type": "string"
                }
            }
        },
        "md.EggEnergyCommunityDividendsWithUser": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "memo": {
                    "type": "string",
                    "example": "备注"
                },
                "nickname": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "md.ExchangeRulesStruct": {
            "type": "object",
            "properties": {
                "auto_exchange_nums_by_person": {
                    "description": "个人数量X个，自动兑换可用蛋蛋能量",
                    "type": "string"
                },
                "auto_exchange_nums_by_team": {
                    "description": "团队数量X个，自动兑换团队蛋蛋能量",
                    "type": "string"
                },
                "auto_exchange_rate_by_person": {
                    "description": "个人数量百分比，自动兑换可用蛋蛋能量",
                    "type": "string"
                },
                "auto_exchange_rate_by_team": {
                    "description": "团队数量百分比，自动兑换团队蛋蛋能量",
                    "type": "string"
                }
            }
        },
        "md.ExchangeUserPositionReq": {
            "type": "object",
            "properties": {
                "position_1": {
                    "description": "位置1，具体值取返回数据中的 system_id",
                    "type": "integer"
                },
                "position_2": {
                    "description": "位置2，具体值取返回数据中的 system_id",
                    "type": "integer"
                }
            }
        },
        "md.FansNode": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "可提现余额",
                    "type": "string"
                },
                "id": {
                    "description": "用户ID",
                    "type": "integer"
                },
                "level_total": {
                    "description": "所属代数",
                    "type": "integer"
                },
                "nickname": {
                    "type": "string",
                    "example": "用户昵称"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                },
                "register_at": {
                    "description": "注册时间",
                    "type": "string"
                },
                "total_income": {
                    "description": "累计收益",
                    "type": "string"
                }
            }
        },
        "md.FindSubUserRelationshipMapResp": {
            "type": "object",
            "properties": {
                "basic_setting": {
                    "description": "公排设置",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_institutional_management_public_platoon.BasicSetting"
                        }
                    ]
                },
                "search_uid": {
                    "description": "查找的用户 ID",
                    "type": "string"
                },
                "sub_user": {
                    "description": "上级用户信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.SubUser"
                        }
                    ]
                }
            }
        },
        "md.FreePublishUserNode": {
            "type": "object",
            "properties": {
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "md.FundDataNode": {
            "type": "object",
            "properties": {
                "balance_amount": {
                    "description": "余额",
                    "type": "string"
                },
                "balance_times": {
                    "description": "剩余执行次数",
                    "type": "integer"
                },
                "create_at": {
                    "description": "创建时间",
                    "type": "string"
                },
                "hours": {
                    "description": "时长",
                    "type": "integer"
                },
                "kind": {
                    "description": "种类(1:公司补贴 2:资方投资 3:市场期望)",
                    "type": "integer"
                },
                "memo": {
                    "description": "备注",
                    "type": "string"
                },
                "system_id": {
                    "type": "integer"
                },
                "total_amount": {
                    "description": "金额",
                    "type": "string"
                }
            }
        },
        "md.FundDataRecordNode": {
            "type": "object",
            "properties": {
                "after_planet_total_value": {
                    "description": "执行后-星球价值",
                    "type": "string"
                },
                "after_price": {
                    "description": "执行后-价格",
                    "type": "string"
                },
                "balance_amount": {
                    "description": "余额",
                    "type": "string"
                },
                "balance_times": {
                    "description": "剩余执行次数",
                    "type": "integer"
                },
                "before_planet_total_value": {
                    "description": "执行前-星球价值",
                    "type": "string"
                },
                "before_price": {
                    "description": "执行前-价格",
                    "type": "string"
                },
                "create_at": {
                    "type": "string"
                },
                "total_amount": {
                    "description": "金额",
                    "type": "string"
                }
            }
        },
        "md.GetActivePointsUserCoinFlowListReq": {
            "type": "object",
            "properties": {
                "coin_id": {
                    "description": "货币类型 ID",
                    "type": "integer"
                },
                "direction": {
                    "description": "流水方向:1收入 2支出",
                    "type": "integer"
                },
                "end_at": {
                    "description": "结束时间",
                    "type": "string"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "start_at": {
                    "description": "开始时间",
                    "type": "string"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "integer"
                }
            }
        },
        "md.GetActivePointsUserCoinFlowListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "流水信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.UserVirtualCoinFlow"
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_institutional_management_egg_energy.Paginate"
                        }
                    ]
                },
                "select_data": {
                    "description": "流水类型",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.SelectData"
                        }
                    ]
                }
            }
        },
        "md.GetActivePointsUserCoinListReq": {
            "type": "object",
            "properties": {
                "end_coin": {
                    "type": "string",
                    "example": "最大金额"
                },
                "kind": {
                    "description": "虚拟币种类编号",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "page_size": {
                    "description": "单页大小",
                    "type": "integer"
                },
                "start_coin": {
                    "type": "string",
                    "example": "最小金额"
                },
                "uid": {
                    "description": "指定查询用户 ID",
                    "type": "integer"
                },
                "user_name": {
                    "type": "string",
                    "example": "用户名称"
                },
                "user_phone": {
                    "type": "string",
                    "example": "手机号"
                }
            }
        },
        "md.GetActivePointsUserCoinListResp": {
            "type": "object",
            "properties": {
                "kind_list": {
                    "description": "货币类型集合",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.VirtualCoinListNode"
                    }
                },
                "list": {
                    "description": "余额集合",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.ActivePointsWalletNode"
                    }
                },
                "sum_user_amount": {
                    "description": "用户持有总数",
                    "type": "number"
                },
                "total": {
                    "description": "持有该类型用户数",
                    "type": "integer"
                }
            }
        },
        "md.GetContributionValueBasicSettingResp": {
            "type": "object",
            "properties": {
                "hand_out_red_package": {
                    "description": "发红包获得x点",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "posting_comment_liked": {
                    "description": "发布评论被官方点赞获得x点",
                    "type": "integer"
                },
                "posting_dynamic_liked": {
                    "description": "发布动态被官方点赞获得x点",
                    "type": "integer"
                },
                "publish_creation": {
                    "description": "发布创作获得x点",
                    "type": "integer"
                }
            }
        },
        "md.GetEggCoreDataListResp": {
            "type": "object",
            "properties": {
                "now_energy_total_nums": {
                    "description": "现行总量",
                    "type": "string",
                    "example": "现行总量"
                },
                "now_price": {
                    "description": "当前价格",
                    "type": "string",
                    "example": "当前价格"
                },
                "planet_total_value": {
                    "description": "星球价值",
                    "type": "string",
                    "example": "星球价值"
                },
                "user_hold_total_nums": {
                    "description": "用户持有总量",
                    "type": "string"
                }
            }
        },
        "md.GetEggEnergyBasicResp": {
            "type": "object",
            "properties": {
                "basic_setting": {
                    "description": "基础设置",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_institutional_management_egg_energy.BasicSetting"
                        }
                    ]
                },
                "data_setting": {
                    "description": "数据设置",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.DataSetting"
                        }
                    ]
                },
                "destruction_setting": {
                    "description": "销毁设置",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.DestructionSettingStruct"
                        }
                    ]
                },
                "exchange_rules": {
                    "description": "兑换规则",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.ExchangeRulesStruct"
                        }
                    ]
                },
                "new_user_incentive_rules": {
                    "description": "新用户奖励规则",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.NewUserRewardRules"
                        }
                    ]
                },
                "price_setting": {
                    "description": "价格设置",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.PriceSettingStruct"
                        }
                    ]
                },
                "reward_system": {
                    "description": "圈层奖励",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.RewardSystemStruct"
                    }
                },
                "system_id": {
                    "description": "该设置系统 ID",
                    "type": "integer"
                },
                "video_reward_setting": {
                    "description": "视频奖励",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.VideoRewardSetting"
                        }
                    ]
                }
            }
        },
        "md.GetEggEnergyVipSettingResp": {
            "type": "object",
            "properties": {
                "level_list": {
                    "description": "会员等级列表",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "list": {
                    "description": "会员权益设置",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.VipEquitySettingNode"
                    }
                }
            }
        },
        "md.GetFreePublishUserReq": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "当前页数",
                    "type": "integer"
                },
                "uid": {
                    "description": "筛选的用户 ID",
                    "type": "integer"
                }
            }
        },
        "md.GetFreePublishUserResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "免罚用户列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.FreePublishUserNode"
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_institutional_management_public_platoon.Paginate"
                        }
                    ]
                }
            }
        },
        "md.GetFundDataListReq": {
            "type": "object",
            "properties": {
                "end_at": {
                    "type": "string",
                    "example": "结束时间"
                },
                "kind": {
                    "description": "数据类型",
                    "type": "integer"
                },
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "start_at": {
                    "type": "string",
                    "example": "开始时间"
                }
            }
        },
        "md.GetFundDataListResp": {
            "type": "object",
            "properties": {
                "kind_list": {
                    "description": "类型列表",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "list": {
                    "description": "数据列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.FundDataNode"
                    }
                },
                "paginate": {
                    "description": "分页数据",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_institutional_management_egg_energy.Paginate"
                        }
                    ]
                }
            }
        },
        "md.GetFundDataRecordListReq": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "页面大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "system_id": {
                    "description": "数据在系统中的 ID",
                    "type": "integer"
                }
            }
        },
        "md.GetFundDataRecordListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.FundDataRecordNode"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md_institutional_management_egg_energy.Paginate"
                }
            }
        },
        "md.GetGreenEnergyUserCoinFlowListReq": {
            "type": "object",
            "properties": {
                "coin_id": {
                    "description": "货币类型 ID",
                    "type": "integer"
                },
                "direction": {
                    "description": "流水方向:1收入 2支出",
                    "type": "integer"
                },
                "end_at": {
                    "description": "结束时间",
                    "type": "string"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "start_at": {
                    "description": "开始时间",
                    "type": "string"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "integer"
                }
            }
        },
        "md.GetGreenEnergyUserCoinFlowListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "流水信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.UserVirtualCoinFlow"
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_institutional_management_egg_energy.Paginate"
                        }
                    ]
                },
                "select_data": {
                    "description": "流水类型",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.SelectData"
                        }
                    ]
                }
            }
        },
        "md.GetGreenEnergyUserCoinListReq": {
            "type": "object",
            "properties": {
                "end_coin": {
                    "type": "string",
                    "example": "最大金额"
                },
                "kind": {
                    "description": "虚拟币种类编号",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "page_size": {
                    "description": "单页大小",
                    "type": "integer"
                },
                "start_coin": {
                    "type": "string",
                    "example": "最小金额"
                },
                "uid": {
                    "description": "指定查询用户 ID",
                    "type": "integer"
                },
                "user_name": {
                    "type": "string",
                    "example": "用户名称"
                },
                "user_phone": {
                    "type": "string",
                    "example": "手机号"
                }
            }
        },
        "md.GetGreenEnergyUserCoinListResp": {
            "type": "object",
            "properties": {
                "kind_list": {
                    "description": "货币类型集合",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.VirtualCoinListNode"
                    }
                },
                "list": {
                    "description": "余额集合",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.ActivePointsWalletNode"
                    }
                },
                "sum_user_amount": {
                    "description": "用户持有总数",
                    "type": "number"
                },
                "total": {
                    "description": "持有该类型用户数",
                    "type": "integer"
                }
            }
        },
        "md.GetLevelListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.LevelListNode"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md_member_center.Paginate"
                }
            }
        },
        "md.GetOneLevelResp": {
            "type": "object",
            "properties": {
                "auto_update": {
                    "description": "自动升级 0关闭，1开启",
                    "type": "integer"
                },
                "choosable_num": {
                    "description": "可选任务数量",
                    "type": "integer"
                },
                "is_use": {
                    "description": "是否开启(0.否, 1.是)",
                    "type": "integer"
                },
                "level_id": {
                    "description": "等级 ID",
                    "type": "integer"
                },
                "level_name": {
                    "description": "等级名称",
                    "type": "string"
                },
                "level_weight": {
                    "description": "等级权重",
                    "type": "integer"
                },
                "memo": {
                    "description": "备注",
                    "type": "string"
                },
                "task_type": {
                    "description": "任务类型关系",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "user_level_tasks": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/model.UserLevelTask"
                    }
                }
            }
        },
        "md.GetPriceCurveResp": {
            "type": "object",
            "properties": {
                "x_data": {
                    "type": "array",
                    "items": {}
                },
                "y_data": {
                    "type": "array",
                    "items": {}
                }
            }
        },
        "md.GetPublicPlatoonBasicResp": {
            "type": "object",
            "properties": {
                "is_open": {
                    "description": "是否开启(1:开启 0:关闭)",
                    "type": "integer"
                },
                "is_self_active_get_team_revenue": {
                    "description": "会员本人没有日活，没有圈层奖励(1:开启 0:关闭)",
                    "type": "integer"
                },
                "originator_name": {
                    "description": "创始人名称",
                    "type": "string"
                },
                "originator_uid": {
                    "description": "创始人uid",
                    "type": "integer"
                },
                "several_rows": {
                    "description": "几排",
                    "type": "integer"
                },
                "several_times": {
                    "description": "几乘",
                    "type": "integer"
                },
                "system_punish_replace": {
                    "description": "是否位置滑落 被新用户替换 0否 1是",
                    "type": "integer"
                },
                "system_punish_replace_value": {
                    "description": "xx天未活跃，处罚滑落",
                    "type": "integer"
                }
            }
        },
        "md.GetTagListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.TagListNode"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md_member_center.Paginate"
                }
            }
        },
        "md.GetVideoRewardResp": {
            "type": "object",
            "properties": {
                "ecmp": {
                    "description": "当前 Ecpm 值",
                    "type": "string"
                },
                "unit_price": {
                    "description": "单价",
                    "type": "string"
                }
            }
        },
        "md.GetWithdrawApplyListNode": {
            "type": "object",
            "properties": {
                "actual_receipt": {
                    "description": "实际到账",
                    "type": "string"
                },
                "ali_pay_account": {
                    "description": "支付宝账号",
                    "type": "string"
                },
                "ali_pay_name": {
                    "description": "支付宝昵称",
                    "type": "string"
                },
                "amount": {
                    "description": "提现金额",
                    "type": "string"
                },
                "apply_at": {
                    "description": "申请时间",
                    "type": "string"
                },
                "invite_code": {
                    "description": "邀请码",
                    "type": "string"
                },
                "memo": {
                    "description": "备注",
                    "type": "string"
                },
                "nickname": {
                    "description": "用户名称",
                    "type": "string"
                },
                "parentID": {
                    "description": "推荐人ID",
                    "type": "integer"
                },
                "parentPhone": {
                    "description": "推荐人手机号",
                    "type": "string"
                },
                "pay_at": {
                    "description": "到账时间",
                    "type": "string"
                },
                "state": {
                    "description": "状态 0申请中,1通过,2完成,3失败,4处理中（队列）",
                    "type": "integer"
                },
                "sys_fee": {
                    "description": "手续费",
                    "type": "string"
                },
                "tag": {
                    "description": "标签",
                    "type": "string"
                },
                "user_id": {
                    "description": "会员 ID",
                    "type": "integer"
                },
                "wechat_pay_account": {
                    "description": "微信账号",
                    "type": "string"
                },
                "wechat_pay_name": {
                    "description": "微信昵称",
                    "type": "string"
                },
                "withdraw_type": {
                    "description": "提现方式(1:支付宝 2:微信)",
                    "type": "integer"
                }
            }
        },
        "md.GetWithdrawApplyListReq": {
            "type": "object",
            "properties": {
                "amount_begin": {
                    "description": "最小金额",
                    "type": "string"
                },
                "amount_end": {
                    "description": "最大金额",
                    "type": "string"
                },
                "apply_end_at": {
                    "description": "申请结束时间",
                    "type": "string"
                },
                "apply_start_at": {
                    "description": "申请开始时间",
                    "type": "string"
                },
                "examine_end_at": {
                    "description": "审核结束时间",
                    "type": "string"
                },
                "examine_start_at": {
                    "description": "审核开始时间",
                    "type": "string"
                },
                "is_first": {
                    "description": "是否首次提现 (0. 否 1.是 传空查全部)",
                    "type": "string"
                },
                "level": {
                    "description": "会员等级",
                    "type": "string"
                },
                "limit": {
                    "description": "页面大小",
                    "type": "integer"
                },
                "nickname": {
                    "description": "用户昵称",
                    "type": "string"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "parent_id": {
                    "description": "推荐人 ID",
                    "type": "string"
                },
                "payment_type": {
                    "description": "打款类型 1：手动；2：自动",
                    "type": "string"
                },
                "phone": {
                    "description": "用户手机号",
                    "type": "string"
                },
                "state": {
                    "description": "状态 0申请中,1通过,2完成,3失败,4处理中（队列）",
                    "type": "string"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "string"
                },
                "withdraw_account": {
                    "description": "支付宝/微信昵称",
                    "type": "string"
                },
                "withdraw_name": {
                    "description": "支付宝姓名",
                    "type": "string"
                },
                "withdraw_type": {
                    "description": "提现方式(1:支付宝 2:微信)",
                    "type": "string"
                }
            }
        },
        "md.GetWithdrawApplyListResp": {
            "type": "object",
            "properties": {
                "levels_list": {
                    "description": "等级列表",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.GetWithdrawApplyListNode"
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_financial_center.Paginate"
                        }
                    ]
                },
                "tags_list": {
                    "description": "标签列表",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                }
            }
        },
        "md.GetWithdrawSettingResp": {
            "type": "object",
            "properties": {
                "create_at": {
                    "description": "申请时间",
                    "type": "string"
                },
                "frequency_set": {
                    "description": "频率设置(0:日 1:周 2:月 3:年)",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.WithdrawFrequencySettingStruct"
                        }
                    ]
                },
                "id": {
                    "type": "integer"
                },
                "is_auto": {
                    "description": "是否开启自动提现(0:否 1:是)",
                    "type": "integer"
                },
                "is_real_name": {
                    "description": "是否实名(0:否 1:是)",
                    "type": "integer"
                },
                "is_support_decimal_point": {
                    "description": "是否支持小数点(0:否 1:是)",
                    "type": "integer"
                },
                "update_at": {
                    "description": "处理时间",
                    "type": "string"
                },
                "vip_level_limit": {
                    "description": "提现等级限制",
                    "type": "integer"
                },
                "withdraw_amount_limit": {
                    "description": "提现金额限制(0为不限制，大于等于该金额才可以申请提现 )",
                    "type": "string"
                },
                "withdraw_fee_set": {
                    "description": "提现手续费设置",
                    "type": "string"
                },
                "withdraw_multiple_limit": {
                    "description": "提现倍数限制（0为不限制，金额限制倍数才可以申请提现 )",
                    "type": "string"
                },
                "withdraw_nums_limit": {
                    "description": "提现次数限制(对应上方设置周期，0为不限制，失败、驳回不计数 )",
                    "type": "integer"
                },
                "withdraw_time_interval": {
                    "description": "提现时段",
                    "type": "string"
                },
                "withdraw_type": {
                    "description": "提现方式(1:支付宝 2:微信)",
                    "type": "integer"
                }
            }
        },
        "md.GroupListReq": {
            "type": "object",
            "properties": {
                "group_admin": {
                    "description": "群主",
                    "type": "string"
                },
                "name": {
                    "description": "群名称",
                    "type": "string"
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "start_time_end": {
                    "type": "string",
                    "example": "创建时间-截止"
                },
                "start_time_start": {
                    "type": "string",
                    "example": "创建时间-起始"
                }
            }
        },
        "md.GroupListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "properties": {
                            "avatarUrl": {
                                "description": "头像",
                                "type": "string"
                            },
                            "createTime": {
                                "description": "创建时间",
                                "type": "string"
                            },
                            "extra": {
                                "description": "附加字段",
                                "type": "string"
                            },
                            "id": {
                                "description": "群组id",
                                "type": "integer"
                            },
                            "introduction": {
                                "description": "群简介",
                                "type": "string"
                            },
                            "isAllAddFriend": {
                                "description": "是否允许加好友(1:是 2:否)",
                                "type": "integer"
                            },
                            "isAllMemberBanned": {
                                "description": "是否全员禁言(1:是 2:否)",
                                "type": "integer"
                            },
                            "name": {
                                "description": "组名",
                                "type": "string"
                            },
                            "nickname": {
                                "description": "群主昵称",
                                "type": "string"
                            },
                            "phoneNumber": {
                                "description": "群主账号",
                                "type": "string"
                            },
                            "updateTime": {
                                "description": "更新时间",
                                "type": "string"
                            },
                            "userNum": {
                                "description": "群组人数",
                                "type": "integer"
                            }
                        }
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "md.Guide": {
            "type": "object",
            "properties": {
                "bg_image": {
                    "type": "string"
                },
                "bg_image_url": {
                    "type": "string"
                },
                "content_image": {
                    "type": "string"
                },
                "content_image_url": {
                    "type": "string"
                }
            }
        },
        "md.LevelListNode": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "等级人数",
                    "type": "string"
                },
                "create_at": {
                    "description": "创建时间",
                    "type": "string"
                },
                "is_use": {
                    "description": "是否开启(0.否, 1.是)",
                    "type": "integer"
                },
                "level_id": {
                    "description": "等级 ID",
                    "type": "integer"
                },
                "level_name": {
                    "description": "等级名称",
                    "type": "string"
                },
                "level_weight": {
                    "description": "等级权重",
                    "type": "integer"
                },
                "memo": {
                    "description": "备注",
                    "type": "string"
                }
            }
        },
        "md.ListCommunityDividendsReq": {
            "type": "object",
            "properties": {
                "end_at": {
                    "description": "结束时间",
                    "type": "string"
                },
                "end_nums": {
                    "description": "分红总量上限",
                    "type": "integer"
                },
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "start_at": {
                    "description": "开始时间",
                    "type": "string"
                },
                "start_nums": {
                    "description": "分红总量下限",
                    "type": "integer"
                }
            }
        },
        "md.ListCommunityDividendsResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.EggEnergyCommunityDividends"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md_institutional_management_public_platoon.Paginate"
                }
            }
        },
        "md.ListCommunityDividendsWithUserReq": {
            "type": "object",
            "properties": {
                "limit": {
                    "type": "integer"
                },
                "page": {
                    "type": "integer"
                },
                "phone": {
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "md.ListCommunityDividendsWithUserResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.EggEnergyCommunityDividendsWithUser"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md_institutional_management_public_platoon.Paginate"
                }
            }
        },
        "md.ListPlatformRevenueReq": {
            "type": "object",
            "properties": {
                "end_at": {
                    "type": "string",
                    "example": "结束时间"
                },
                "kind": {
                    "description": "数据类型",
                    "type": "integer"
                },
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "start_at": {
                    "type": "string",
                    "example": "开始时间"
                }
            }
        },
        "md.ListPlatformRevenueResp": {
            "type": "object",
            "properties": {
                "kind_list": {
                    "description": "类型列表",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "list": {
                    "description": "数据列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.PlatformRevenueDataNode"
                    }
                },
                "paginate": {
                    "description": "分页数据",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_institutional_management_egg_energy.Paginate"
                        }
                    ]
                }
            }
        },
        "md.LoginReq": {
            "type": "object",
            "required": [
                "password",
                "username"
            ],
            "properties": {
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "password": {
                    "type": "string",
                    "example": "登录密码"
                },
                "username": {
                    "type": "string",
                    "example": "登录账号"
                }
            }
        },
        "md.LoginResponse": {
            "type": "object",
            "properties": {
                "token": {
                    "type": "string"
                }
            }
        },
        "md.ManualScoreReq": {
            "type": "object",
            "properties": {
                "index_id": {
                    "description": "文档id",
                    "type": "string"
                },
                "score": {
                    "type": "string",
                    "example": "分数"
                }
            }
        },
        "md.ModuleSettingGetResp": {
            "type": "object",
            "properties": {
                "data": {
                    "description": "内容",
                    "type": "object",
                    "additionalProperties": true
                },
                "mod_name": {
                    "description": "模块名称",
                    "type": "string"
                },
                "mod_name_list": {
                    "description": "模块名称对照",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "position": {
                    "description": "位置",
                    "type": "string"
                },
                "skip_identifier": {
                    "description": "跳转标识",
                    "type": "string"
                },
                "subtitle": {
                    "description": "副标题",
                    "type": "string"
                },
                "title": {
                    "description": "标题",
                    "type": "string"
                }
            }
        },
        "md.ModuleSettingUpdateReq": {
            "type": "object",
            "properties": {
                "data": {
                    "description": "内容",
                    "type": "object",
                    "additionalProperties": true
                },
                "mod_name_value": {
                    "description": "模块类型值",
                    "type": "string"
                },
                "position": {
                    "description": "位置",
                    "type": "string"
                },
                "skip_identifier": {
                    "description": "跳转标识",
                    "type": "string"
                },
                "subtitle": {
                    "description": "副标题",
                    "type": "string"
                },
                "title": {
                    "description": "标题",
                    "type": "string"
                }
            }
        },
        "md.NewUserRedPackageGetBasicResp": {
            "type": "object",
            "properties": {
                "create_at": {
                    "type": "string"
                },
                "days": {
                    "description": "天数",
                    "type": "integer"
                },
                "is_double": {
                    "description": "是否翻倍",
                    "type": "integer"
                },
                "is_open": {
                    "description": "是否开启(1:开启 0:关闭)",
                    "type": "integer"
                },
                "total_amount": {
                    "type": "string",
                    "example": "总金额"
                },
                "update_at": {
                    "type": "string"
                }
            }
        },
        "md.NewUserRedPackageRecordFlowListReq": {
            "type": "object",
            "properties": {
                "end_at": {
                    "description": "结束时间",
                    "type": "string"
                },
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "start_at": {
                    "description": "开始时间",
                    "type": "string"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "integer"
                }
            }
        },
        "md.NewUserRedPackageRecordFlowListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.NewUserRedPackageRecordFlowNode"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md_marketing_applications_new_user_red_package.Paginate"
                }
            }
        },
        "md.NewUserRedPackageRecordFlowNode": {
            "type": "object",
            "properties": {
                "balance_amount": {
                    "description": "剩余金额",
                    "type": "string"
                },
                "balance_days": {
                    "description": "剩余天数",
                    "type": "integer"
                },
                "basic_amount": {
                    "description": "基础金额",
                    "type": "string"
                },
                "create_at": {
                    "description": "创建时间",
                    "type": "string"
                },
                "day_num": {
                    "description": "第x天",
                    "type": "integer"
                },
                "double_rate": {
                    "description": "倍率",
                    "type": "string"
                },
                "id": {
                    "description": "流水 ID",
                    "type": "integer"
                },
                "is_double": {
                    "description": "是否翻倍",
                    "type": "integer"
                },
                "receive_days": {
                    "description": "领取天数",
                    "type": "integer"
                },
                "total_amount": {
                    "description": "实际金额",
                    "type": "string"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "integer"
                }
            }
        },
        "md.NewUserRedPackageRecordListReq": {
            "type": "object",
            "properties": {
                "end_at": {
                    "description": "结束时间",
                    "type": "string"
                },
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "start_at": {
                    "description": "开始时间",
                    "type": "string"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "integer"
                }
            }
        },
        "md.NewUserRedPackageRecordListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.NewUserRedPackageRecordNode"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md_marketing_applications_new_user_red_package.Paginate"
                }
            }
        },
        "md.NewUserRedPackageRecordNode": {
            "type": "object",
            "properties": {
                "balance_amount": {
                    "description": "剩余金额",
                    "type": "string"
                },
                "balance_days": {
                    "description": "剩余天数",
                    "type": "integer"
                },
                "create_at": {
                    "description": "创建时间",
                    "type": "string"
                },
                "days": {
                    "description": "天数",
                    "type": "integer"
                },
                "receive_days": {
                    "description": "领取天数",
                    "type": "integer"
                },
                "state": {
                    "description": "状态(0:待领取 1:领取中 2:已领取 3:已冻结)",
                    "type": "integer"
                },
                "system_id": {
                    "description": "系统中记录的 ID",
                    "type": "integer"
                },
                "total_amount": {
                    "description": "金额",
                    "type": "string"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "integer"
                },
                "update_at": {
                    "description": "修改时间",
                    "type": "string"
                }
            }
        },
        "md.NewUserRedPackageUpdateBasicReq": {
            "type": "object",
            "properties": {
                "days": {
                    "description": "天数",
                    "type": "integer"
                },
                "is_double": {
                    "description": "是否翻倍",
                    "type": "integer"
                },
                "is_open": {
                    "description": "是否开启(1:开启 0:关闭)",
                    "type": "integer"
                },
                "total_amount": {
                    "type": "string",
                    "example": "总金额"
                }
            }
        },
        "md.NewUserRewardRules": {
            "type": "object",
            "properties": {
                "continue_days": {
                    "description": "连续x天",
                    "type": "integer"
                },
                "invite_user_reward_value": {
                    "description": "拉新用户奖励x个活跃积分",
                    "type": "integer"
                },
                "reward_coefficient": {
                    "description": "奖励系数",
                    "type": "number"
                }
            }
        },
        "md.NoticeAliyunSmsList": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string",
                    "example": "这是 填短信模板id"
                },
                "day": {
                    "type": "string",
                    "example": " xxx小时(未签到/未登录) 隔 xx小时通知一次 (这里是 X小时,type=sign/login 的时候要显示前面的话填写 sign是未签到 login是未登录)"
                },
                "id": {
                    "type": "string"
                },
                "is_show": {
                    "type": "string"
                },
                "notice_day": {
                    "type": "string",
                    "example": " xxx小时(未签到/未登录) 隔  xx小时通知一次 (这里是 隔  xx小时,type=sign/login 的时候要显示前面的话填写 sign是未签到 login是未登录)"
                },
                "title": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                }
            }
        },
        "md.NoticeAliyunSmsListReq": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "string"
                },
                "page": {
                    "description": "页数",
                    "type": "string"
                }
            }
        },
        "md.NoticeAliyunSmsListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.NoticeAliyunSmsList"
                    }
                },
                "select_data": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "md.NoticeAliyunSmsSaveReq": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "day": {
                    "type": "string",
                    "example": " xxx小时(未签到/未登录) 隔 xx小时通知一次 (这里是 X小时,type=sign/login 的时候要显示前面的话填写 sign是未签到 login是未登录)"
                },
                "id": {
                    "type": "string"
                },
                "is_show": {
                    "type": "string"
                },
                "notice_day": {
                    "type": "string",
                    "example": " xxx小时(未签到/未登录) 隔  xx小时通知一次 (这里是 隔  xx小时,type=sign/login 的时候要显示前面的话填写 sign是未签到 login是未登录)"
                },
                "title": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                }
            }
        },
        "md.NoticeDelReq": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "md.NoticeList": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "day": {
                    "type": "string",
                    "example": " xxx小时(未签到/未登录) 隔 xx小时通知一次 (这里是 X小时,type=sign/login 的时候要显示前面的话填写 sign是未签到 login是未登录)"
                },
                "id": {
                    "type": "string"
                },
                "jpush_open": {
                    "type": "string",
                    "example": "app推送开启 0关 1开"
                },
                "notice_day": {
                    "type": "string",
                    "example": " xxx小时(未签到/未登录) 隔  xx小时通知一次 (这里是 隔  xx小时,type=sign/login 的时候要显示前面的话填写 sign是未签到 login是未登录)"
                },
                "sms_code": {
                    "type": "string",
                    "example": "短信模板id"
                },
                "sms_open": {
                    "type": "string",
                    "example": "短信推送开启 0关 1开"
                },
                "title": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                }
            }
        },
        "md.NoticeListReq": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "string"
                },
                "page": {
                    "description": "页数",
                    "type": "string"
                }
            }
        },
        "md.NoticeListResp": {
            "type": "object",
            "properties": {
                "change_data": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.NoticeList"
                    }
                },
                "select_data": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "md.NoticePushList": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "platform": {
                    "type": "string"
                },
                "send_end_time": {
                    "type": "string",
                    "example": "如 2024-11-25 11:56:00"
                },
                "send_start_time": {
                    "type": "string",
                    "example": "如 2024-11-25 11:56:00"
                },
                "send_type": {
                    "type": "string",
                    "example": "0立即推送 1定时推送"
                },
                "state": {
                    "type": "string",
                    "example": "0待发送 1发送成功"
                },
                "target": {
                    "type": "string"
                },
                "title": {
                    "type": "string"
                }
            }
        },
        "md.NoticePushListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.NoticePushList"
                    }
                },
                "platform_data": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "target_data": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "md.NoticeSaveReq": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "day": {
                    "type": "string",
                    "example": " xxx小时(未签到/未登录) 隔 xx小时通知一次 (这里是 X小时,type=sign/login 的时候要显示前面的话填写 sign是未签到 login是未登录)"
                },
                "id": {
                    "type": "string"
                },
                "jpush_open": {
                    "type": "string",
                    "example": "app推送开启 0关 1开"
                },
                "notice_day": {
                    "type": "string",
                    "example": " xxx小时(未签到/未登录) 隔  xx小时通知一次 (这里是 隔  xx小时,type=sign/login 的时候要显示前面的话填写 sign是未签到 login是未登录)"
                },
                "sms_code": {
                    "type": "string",
                    "example": "短信模板id"
                },
                "sms_open": {
                    "type": "string",
                    "example": "短信推送开启 0关 1开"
                },
                "title": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                }
            }
        },
        "md.OtherNode": {
            "type": "object",
            "properties": {
                "create_at": {
                    "description": "注册时间",
                    "type": "string"
                },
                "last_login_at": {
                    "description": "最近登录时间",
                    "type": "string"
                },
                "last_login_ip": {
                    "description": "最后登录 IP",
                    "type": "string"
                }
            }
        },
        "md.PageCustomerServiceReq": {
            "type": "object",
            "properties": {
                "memo": {
                    "type": "string",
                    "example": "备注"
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "state": {
                    "description": "状态",
                    "type": "integer"
                }
            }
        },
        "md.PageEmoticonReq": {
            "type": "object",
            "properties": {
                "memo": {
                    "type": "string",
                    "example": "备注"
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "state": {
                    "description": "状态",
                    "type": "integer"
                }
            }
        },
        "md.PageSendRedPackageOrdReq": {
            "type": "object",
            "properties": {
                "invite_code": {
                    "description": "邀请码",
                    "type": "string",
                    "example": "邀请码"
                },
                "nickname": {
                    "description": "昵称",
                    "type": "string",
                    "example": "昵称"
                },
                "ord_no": {
                    "description": "订单号",
                    "type": "string",
                    "example": "订单号"
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "phone": {
                    "description": "手机号",
                    "type": "string",
                    "example": "手机号"
                },
                "red_packet_type": {
                    "description": "红包类型",
                    "type": "integer"
                },
                "start_time_end": {
                    "type": "string",
                    "example": "发送时间-截止"
                },
                "start_time_start": {
                    "type": "string",
                    "example": "发送时间-起始"
                },
                "state": {
                    "description": "状态",
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "md.PlatformRevenueDataNode": {
            "type": "object",
            "properties": {
                "balance_amount": {
                    "description": "余额",
                    "type": "string"
                },
                "balance_times": {
                    "description": "剩余执行次数",
                    "type": "integer"
                },
                "create_at": {
                    "description": "创建时间",
                    "type": "string"
                },
                "hours": {
                    "description": "时长",
                    "type": "integer"
                },
                "kind": {
                    "description": "种类(1:开屏广告 2:banner 广告 3:信息流广告 4：插屏广告)",
                    "type": "integer"
                },
                "memo": {
                    "description": "备注",
                    "type": "string"
                },
                "system_id": {
                    "type": "integer"
                },
                "total_amount": {
                    "description": "金额",
                    "type": "string"
                }
            }
        },
        "md.PriceSettingStruct": {
            "type": "object",
            "properties": {
                "marketplace_merchants_fund_exchange_marketplace_merchants_nums_value": {
                    "description": "市商资金单笔x元自动兑换",
                    "type": "string"
                },
                "marketplace_merchants_nums_exchange_marketplace_merchants_fund_value": {
                    "description": "市商数量单笔x数量自动兑换",
                    "type": "string"
                },
                "price_below_value": {
                    "description": "低于x元",
                    "type": "string"
                },
                "price_higher_than_value": {
                    "description": "高于x元",
                    "type": "string"
                }
            }
        },
        "md.Response": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string",
                    "example": "响应码"
                },
                "data": {
                    "description": "内容"
                },
                "msg": {
                    "type": "string",
                    "example": "具体错误原因"
                }
            }
        },
        "md.RewardSystemStruct": {
            "type": "object",
            "properties": {
                "level": {
                    "description": "圈层",
                    "type": "integer"
                },
                "reward_condition": {
                    "description": "奖励条件",
                    "type": "string"
                },
                "reward_value": {
                    "description": "奖励值",
                    "type": "string"
                }
            }
        },
        "md.SelectData": {
            "type": "object",
            "properties": {
                "direction": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "md.SelectMemberNode": {
            "type": "object",
            "properties": {
                "avatar": {
                    "description": "会员头像",
                    "type": "string"
                },
                "level": {
                    "description": "会员等级",
                    "type": "string"
                },
                "nickname": {
                    "description": "会员昵称",
                    "type": "string"
                },
                "phone": {
                    "description": "会员手机号",
                    "type": "string"
                },
                "uid": {
                    "description": "会员 ID",
                    "type": "integer"
                }
            }
        },
        "md.SelectMemberReq": {
            "type": "object",
            "properties": {
                "level": {
                    "description": "会员等级",
                    "type": "integer"
                },
                "limit": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "nickname": {
                    "description": "会员昵称",
                    "type": "string"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "phone": {
                    "description": "会员手机号",
                    "type": "string"
                },
                "uid": {
                    "description": "会员 ID",
                    "type": "integer"
                }
            }
        },
        "md.SelectMemberResp": {
            "type": "object",
            "properties": {
                "level_list": {
                    "description": "会员等级列表",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "list": {
                    "description": "会员数据",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.SelectMemberNode"
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_institutional_management_public_platoon.Paginate"
                        }
                    ]
                }
            }
        },
        "md.SetCustomerServiceStateReq": {
            "type": "object",
            "properties": {
                "id": {
                    "description": "拥有用户数量",
                    "type": "integer"
                },
                "state": {
                    "description": "状态",
                    "type": "integer"
                }
            }
        },
        "md.SetEmoticonStateReq": {
            "type": "object",
            "properties": {
                "id": {
                    "description": "拥有用户数量",
                    "type": "integer"
                },
                "state": {
                    "description": "状态",
                    "type": "integer"
                }
            }
        },
        "md.SetVideoRewardReq": {
            "type": "object",
            "properties": {
                "ecpm": {
                    "description": "当前 Ecpm 值",
                    "type": "string"
                },
                "unit_price": {
                    "description": "单价",
                    "type": "string"
                }
            }
        },
        "md.SonUserDailyActivityAnalysisNode": {
            "type": "object",
            "properties": {
                "activity_day_nums": {
                    "description": "活跃子节点活跃天数",
                    "type": "integer"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                },
                "uid": {
                    "description": "查询用户活跃子节点 ID",
                    "type": "integer"
                }
            }
        },
        "md.StatisticsEggPointReq": {
            "type": "object",
            "properties": {
                "week": {
                    "type": "string",
                    "example": "周份"
                },
                "year": {
                    "type": "string",
                    "example": "年份"
                }
            }
        },
        "md.StatisticsEggPointResp": {
            "type": "object",
            "properties": {
                "statistics_user_egg_account_balance_exchange_egg_energy_nums_range": {
                    "description": "统计用户\"余额兑换蛋蛋能量数量\"范围",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "statistics_user_egg_browse_interface_nums_range": {
                    "description": "统计用户\"浏览界面次数\"范围",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "statistics_user_egg_college_learning_nums_range": {
                    "description": "统计用户\"学院学习次数\"范围",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "statistics_user_egg_ecpm_range": {
                    "description": "统计用户\"ecpm\"范围",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "statistics_user_egg_egg_energy_exchange_account_balance_range": {
                    "description": "统计用户\"蛋蛋能量兑换余额数量\"范围",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "statistics_user_egg_forum_comments_nums_range": {
                    "description": "统计用户\"论坛评论次数\"范围",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "statistics_user_egg_invite_user_nums_range": {
                    "description": "统计用户\"拉新人数\"范围",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "statistics_user_egg_kind_proportion": {
                    "description": "统计用户蛋蛋分\"评比类型\"占比",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "statistics_user_egg_person_add_activity_value_range": {
                    "description": "统计用户\"个人活跃积分增量值\"范围",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "statistics_user_egg_score_value_range": {
                    "description": "统计用户蛋蛋分范围",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "statistics_user_egg_send_circle_of_friend_nums_range": {
                    "description": "统计用户\"发朋友圈次数\"范围",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "statistics_user_egg_send_red_package_nums_range": {
                    "description": "统计用户\"发红包次数\"范围",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "statistics_user_egg_sign_in_nums_range": {
                    "description": "统计用户\"签到次数\"范围",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "statistics_user_egg_team_activity_nums_range": {
                    "description": "统计用户\"团队活跃次数\"范围",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "statistics_user_egg_violate_nums_range": {
                    "description": "统计用户\"违规次数\"范围",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "week": {
                    "type": "string",
                    "example": "周份"
                },
                "year": {
                    "type": "string",
                    "example": "年份"
                },
                "year_list": {
                    "description": "年份\u0026\u0026周份列表",
                    "type": "object",
                    "additionalProperties": {
                        "type": "array",
                        "items": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "md.SubUser": {
            "type": "object",
            "properties": {
                "avatar_url": {
                    "type": "string",
                    "example": "头像"
                },
                "level": {
                    "description": "整个系统中的等级",
                    "type": "integer"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                },
                "pid": {
                    "type": "integer"
                },
                "position": {
                    "description": "以pid1为创始人中网的位置",
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "md.TagListNode": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "标签人数",
                    "type": "string"
                },
                "create_at": {
                    "description": "创建时间",
                    "type": "string"
                },
                "is_punish": {
                    "description": "是否处罚",
                    "type": "integer"
                },
                "memo": {
                    "description": "备注",
                    "type": "string"
                },
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "tag_id": {
                    "description": "标签 ID",
                    "type": "string"
                }
            }
        },
        "md.TagNode": {
            "type": "object",
            "properties": {
                "tag_id": {
                    "description": "标签 ID",
                    "type": "integer"
                },
                "tag_name": {
                    "description": "标签 名称",
                    "type": "string"
                }
            }
        },
        "md.TreeNode": {
            "type": "object",
            "properties": {
                "avatar_url": {
                    "type": "string",
                    "example": "头像"
                },
                "level": {
                    "type": "integer"
                },
                "nickname": {
                    "type": "string",
                    "example": "昵称"
                },
                "phone": {
                    "type": "string",
                    "example": "手机号"
                },
                "pid": {
                    "type": "integer"
                },
                "position": {
                    "type": "integer"
                },
                "son": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.TreeNode"
                    }
                },
                "system_id": {
                    "description": "公排网中id",
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "md.UpdateContributionValueBasicSettingReq": {
            "type": "object",
            "properties": {
                "hand_out_red_package": {
                    "description": "发红包获得x点",
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "posting_comment_liked": {
                    "description": "发布评论被官方点赞获得x点",
                    "type": "string"
                },
                "posting_dynamic_liked": {
                    "description": "发布动态被官方点赞获得x点",
                    "type": "string"
                },
                "publish_creation": {
                    "description": "发布创作获得x点",
                    "type": "string"
                }
            }
        },
        "md.UpdateCustomerServiceMemoReq": {
            "type": "object",
            "properties": {
                "id": {
                    "description": "拥有用户数量",
                    "type": "integer"
                },
                "memo": {
                    "description": "备注",
                    "type": "string",
                    "example": "备注"
                }
            }
        },
        "md.UpdateEggEnergyBasicReq": {
            "type": "object",
            "properties": {
                "basic_setting": {
                    "description": "基础设置",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_institutional_management_egg_energy.BasicSetting"
                        }
                    ]
                },
                "data_setting": {
                    "description": "数据设置",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.DataSetting"
                        }
                    ]
                },
                "destruction_setting": {
                    "description": "销毁设置",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.DestructionSettingStruct"
                        }
                    ]
                },
                "exchange_rules": {
                    "description": "兑换规则",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.ExchangeRulesStruct"
                        }
                    ]
                },
                "new_user_incentive_rules": {
                    "description": "新用户奖励规则\t\t\t\t\t\t\t\t\t\t\t // 新用户奖励规则",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.NewUserRewardRules"
                        }
                    ]
                },
                "price_setting": {
                    "description": "价格设置",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.PriceSettingStruct"
                        }
                    ]
                },
                "reward_system": {
                    "description": "圈层奖励",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.RewardSystemStruct"
                    }
                },
                "system_id": {
                    "description": "该设置系统 ID",
                    "type": "integer"
                },
                "video_reward_setting": {
                    "description": "视频奖励",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.VideoRewardSetting"
                        }
                    ]
                }
            }
        },
        "md.UpdateEggEnergyVipSettingReq": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "更新后数据",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.UpdateVipEquitySettingNode"
                    }
                }
            }
        },
        "md.UpdateEmoticonReq": {
            "type": "object",
            "properties": {
                "id": {
                    "description": "拥有用户数量",
                    "type": "integer"
                },
                "img_url": {
                    "type": "string",
                    "example": "图片地址"
                },
                "memo": {
                    "description": "备注",
                    "type": "string",
                    "example": "备注"
                },
                "name": {
                    "type": "string",
                    "example": "名称"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                }
            }
        },
        "md.UpdateLevelReq": {
            "type": "object",
            "properties": {
                "auto_update": {
                    "description": "自动升级 0关闭 1开启",
                    "type": "string"
                },
                "choosable_num": {
                    "description": "可选任务数量",
                    "type": "string"
                },
                "is_use": {
                    "description": "是否开启(0.否, 1.是)",
                    "type": "string"
                },
                "level_id": {
                    "type": "string"
                },
                "level_name": {
                    "description": "等级名称",
                    "type": "string"
                },
                "level_weight": {
                    "description": "等级权重",
                    "type": "string"
                },
                "memo": {
                    "description": "备注",
                    "type": "string"
                }
            }
        },
        "md.UpdateLevelTaskReq": {
            "type": "object",
            "properties": {
                "finish_count": {
                    "description": "多少天内完成的指标",
                    "type": "string"
                },
                "is_must_task": {
                    "description": "是否必做(0,1)",
                    "type": "string"
                },
                "task_id": {
                    "description": "等级 ID",
                    "type": "string"
                },
                "task_type": {
                    "description": "1:直推会员人数,2:直推会员活跃天数,3:直推会员等级",
                    "type": "string"
                },
                "task_type_level_id": {
                    "description": "会员等级 ID (task_type=3时生效)",
                    "type": "string"
                },
                "within_days": {
                    "description": "多少天内完成",
                    "type": "string"
                }
            }
        },
        "md.UpdatePublicPlatoonBasicReq": {
            "type": "object",
            "properties": {
                "is_open": {
                    "description": "是否开启(1:开启 0:关闭)",
                    "type": "integer"
                },
                "is_self_active_get_team_revenue": {
                    "description": "会员本人没有日活，没有圈层奖励(1:开启 0:关闭)",
                    "type": "integer"
                },
                "originator_uid": {
                    "description": "创始人uid",
                    "type": "integer"
                },
                "several_rows": {
                    "description": "几排",
                    "type": "integer"
                },
                "several_times": {
                    "description": "几乘",
                    "type": "integer"
                },
                "system_punish_replace": {
                    "description": "是否位置滑落 被新用户替换 0否 1是",
                    "type": "integer"
                },
                "system_punish_replace_value": {
                    "description": "xx天未活跃，处罚滑落",
                    "type": "integer"
                }
            }
        },
        "md.UpdateTagReq": {
            "type": "object",
            "properties": {
                "memo": {
                    "description": "备注",
                    "type": "string"
                },
                "name": {
                    "description": "标签名称",
                    "type": "string"
                },
                "tag_id": {
                    "description": "标签 ID",
                    "type": "string"
                }
            }
        },
        "md.UpdateVipEquitySettingNode": {
            "type": "object",
            "properties": {
                "dividend_ratio": {
                    "description": "分红比例",
                    "type": "string"
                },
                "exchange_account_balance_fee": {
                    "description": "兑换余额手续费",
                    "type": "string"
                },
                "vip_level_id": {
                    "description": "会员等级ID",
                    "type": "string"
                }
            }
        },
        "md.UpdateWithdrawSettingReq": {
            "type": "object",
            "properties": {
                "frequency_set": {
                    "description": "频率设置(num 个 duration) (duration (0.天 1.小时 2.周 3.月 4.年))",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.WithdrawFrequencySettingStruct"
                        }
                    ]
                },
                "id": {
                    "type": "integer"
                },
                "is_auto": {
                    "description": "是否开启自动提现(0:否 1:是)",
                    "type": "integer"
                },
                "is_real_name": {
                    "description": "是否实名(0:否 1:是)",
                    "type": "integer"
                },
                "is_support_decimal_point": {
                    "description": "是否支持小数点(0:否 1:是)",
                    "type": "integer"
                },
                "vip_level_limit": {
                    "description": "提现等级限制",
                    "type": "integer"
                },
                "withdraw_amount_limit": {
                    "description": "提现金额限制(0为不限制，大于等于该金额才可以申请提现 )",
                    "type": "string"
                },
                "withdraw_fee_set": {
                    "description": "提现手续费设置",
                    "type": "string"
                },
                "withdraw_multiple_limit": {
                    "description": "提现倍数限制（0为不限制，金额限制倍数才可以申请提现 )",
                    "type": "string"
                },
                "withdraw_nums_limit": {
                    "description": "提现次数限制(对应上方设置周期，0为不限制，失败、驳回不计数 )",
                    "type": "integer"
                },
                "withdraw_time_interval": {
                    "description": "提现时段",
                    "type": "string"
                },
                "withdraw_type": {
                    "description": "提现方式(1:支付宝 2:微信)",
                    "type": "integer"
                }
            }
        },
        "md.UserDailyActivityAnalysisReq": {
            "type": "object",
            "properties": {
                "end_date": {
                    "type": "string",
                    "example": "结束日期"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "start_date": {
                    "type": "string",
                    "example": "开始日期"
                },
                "uid": {
                    "description": "查询用户 ID",
                    "type": "integer"
                }
            }
        },
        "md.UserDailyActivityAnalysisResp": {
            "type": "object",
            "properties": {
                "son_user_data": {
                    "description": "被查询用户子节点信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.SonUserDailyActivityAnalysisNode"
                    }
                },
                "top_data": {
                    "description": "统计信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.DailyActivityAnalysisTopData"
                        }
                    ]
                }
            }
        },
        "md.UserEggFlowReq": {
            "type": "object",
            "properties": {
                "account_balance_exchange_egg_energy_nums_end": {
                    "type": "string",
                    "example": "余额兑换蛋蛋能量数量-结束值"
                },
                "account_balance_exchange_egg_energy_nums_start": {
                    "type": "string",
                    "example": "余额兑换蛋蛋能量数量-起始值"
                },
                "browse_interface_nums_end": {
                    "type": "string",
                    "example": "浏览界面次数-结束值"
                },
                "browse_interface_nums_start": {
                    "type": "string",
                    "example": "浏览界面次数-起始值"
                },
                "college_learning_nums_end": {
                    "type": "string",
                    "example": "学院学习次数-结束值"
                },
                "college_learning_nums_start": {
                    "type": "string",
                    "example": "学院学习次数-起始值"
                },
                "ecpm_end": {
                    "type": "string",
                    "example": "ecpm-结束值"
                },
                "ecpm_start": {
                    "type": "string",
                    "example": "ecpm-起始值"
                },
                "egg_energy_exchange_account_balance_end": {
                    "type": "string",
                    "example": "蛋蛋能量兑换余额数量-结束值"
                },
                "egg_energy_exchange_account_balance_start": {
                    "type": "string",
                    "example": "蛋蛋能量兑换余额数量-起始值"
                },
                "forum_comments_nums_end": {
                    "type": "string",
                    "example": "论坛评论次数-结束值"
                },
                "forum_comments_nums_start": {
                    "type": "string",
                    "example": "论坛评论次数-起始值"
                },
                "im_activity_nums_end": {
                    "type": "string",
                    "example": "im活跃次数-结束值"
                },
                "im_activity_nums_start": {
                    "type": "string",
                    "example": "im活跃次数-起始值"
                },
                "invite_user_nums_end": {
                    "type": "string",
                    "example": "拉新人数-结束值"
                },
                "invite_user_nums_start": {
                    "type": "string",
                    "example": "拉新人数-起始值"
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "person_add_activity_value_end": {
                    "type": "string",
                    "example": "个人活跃积分-结束值"
                },
                "person_add_activity_value_start": {
                    "type": "string",
                    "example": "个人活跃积分-起始值"
                },
                "score_value_end": {
                    "type": "string",
                    "example": "蛋蛋分-结束值"
                },
                "score_value_kind": {
                    "description": "评分类型(0:未知 1:人工 2:系统)",
                    "type": "integer"
                },
                "score_value_start": {
                    "type": "string",
                    "example": "蛋蛋分-起始值"
                },
                "send_circle_of_friend_nums_end": {
                    "type": "string",
                    "example": "发朋友圈次数-结束值"
                },
                "send_circle_of_friend_nums_start": {
                    "type": "string",
                    "example": "发朋友圈次数-起始值"
                },
                "send_red_package_nums_end": {
                    "type": "string",
                    "example": "发红包次数-结束值"
                },
                "send_red_package_nums_start": {
                    "type": "string",
                    "example": "发红包次数-起始值"
                },
                "sign_in_nums_end": {
                    "type": "string",
                    "example": "签到次数-结束值"
                },
                "sign_in_nums_start": {
                    "type": "string",
                    "example": "签到次数-起始值"
                },
                "team-activity-nums-end": {
                    "type": "string",
                    "example": "团队活跃次数-结束值"
                },
                "team_activity_nums_start": {
                    "type": "string",
                    "example": "团队活跃次数-起始值"
                },
                "violate_nums_end": {
                    "type": "string",
                    "example": "违规次数-结束值"
                },
                "violate_nums_start": {
                    "type": "string",
                    "example": "违规次数-起始值"
                },
                "week": {
                    "type": "string",
                    "example": "周份"
                },
                "year": {
                    "type": "string",
                    "example": "年份"
                }
            }
        },
        "md.UserEggFlowReqResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.UserEggFlowReqRespList"
                    }
                },
                "page": {
                    "description": "页数",
                    "type": "integer"
                },
                "page_size": {
                    "description": "每页大小",
                    "type": "integer"
                },
                "score_value_kind_map": {
                    "description": "评分类型(0:未知 1:人工 2:系统)",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "total": {
                    "description": "总数量",
                    "type": "integer"
                },
                "week": {
                    "type": "string",
                    "example": "周份"
                },
                "year": {
                    "type": "string",
                    "example": "年份"
                }
            }
        },
        "md.UserEggFlowReqRespList": {
            "type": "object",
            "properties": {
                "account_balance_exchange_egg_energy_nums": {
                    "description": "余额兑换蛋蛋能量数量",
                    "type": "integer"
                },
                "browse_interface_nums": {
                    "description": "浏览界面次数",
                    "type": "integer"
                },
                "college_learning_nums": {
                    "description": "学院学习次数",
                    "type": "integer"
                },
                "ecpm": {
                    "description": "ecpm",
                    "type": "number"
                },
                "egg_energy_exchange_account_balance": {
                    "description": "蛋蛋能量兑换余额数量",
                    "type": "integer"
                },
                "forum_comments_nums": {
                    "description": "论坛评论次数",
                    "type": "integer"
                },
                "im_activity_nums": {
                    "description": "im活跃次数",
                    "type": "integer"
                },
                "index_id": {
                    "description": "文档id",
                    "type": "string"
                },
                "invite_user_nums": {
                    "description": "拉新人数",
                    "type": "integer"
                },
                "person_add_activity_value": {
                    "description": "个人活跃积分",
                    "type": "integer"
                },
                "score_value": {
                    "description": "蛋蛋分-起始值",
                    "type": "number"
                },
                "score_value_kind": {
                    "description": "评分类型(0:未知 1:人工 2:系统)",
                    "type": "integer"
                },
                "send_circle_of_friend_nums": {
                    "description": "发朋友圈次数",
                    "type": "integer"
                },
                "send_red_package_nums": {
                    "description": "发红包次数",
                    "type": "integer"
                },
                "sign_in_nums": {
                    "description": "签到次数",
                    "type": "integer"
                },
                "team_activity_nums": {
                    "description": "团队活跃次数",
                    "type": "integer"
                },
                "violate_nums": {
                    "description": "违规次数",
                    "type": "integer"
                }
            }
        },
        "md.UserEggIndexReq": {
            "type": "object",
            "properties": {
                "week": {
                    "type": "string",
                    "example": "周份"
                },
                "year": {
                    "type": "string",
                    "example": "年份"
                }
            }
        },
        "md.UserEggIndexResp": {
            "type": "object",
            "properties": {
                "egg_energy_user_egg_index_weight": {
                    "description": "蛋蛋分系数权重",
                    "allOf": [
                        {
                            "$ref": "#/definitions/model.EggEnergyUserEggIndexWeight"
                        }
                    ]
                },
                "statistics_user_egg_kind_proportion": {
                    "description": "统计用户蛋蛋分\"评比类型\"占比",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "statistics_user_egg_score_value_range": {
                    "description": "统计用户蛋蛋分范围",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": {
                            "type": "string"
                        }
                    }
                },
                "week": {
                    "type": "string",
                    "example": "周份"
                },
                "year": {
                    "type": "string",
                    "example": "年份"
                },
                "year_list": {
                    "description": "年份\u0026\u0026周份列表",
                    "type": "object",
                    "additionalProperties": {
                        "type": "array",
                        "items": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "md.UserFeedbackCateDelReq": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "md.UserFeedbackCateList": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "sort": {
                    "type": "string"
                }
            }
        },
        "md.UserFeedbackCateListReq": {
            "type": "object",
            "properties": {
                "limit": {
                    "description": "每页大小",
                    "type": "string"
                },
                "page": {
                    "description": "页数",
                    "type": "string"
                }
            }
        },
        "md.UserFeedbackCateListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.UserFeedbackCateList"
                    }
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "md.UserFeedbackCateSaveReq": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "sort": {
                    "type": "string"
                }
            }
        },
        "md.UserFeedbackDelReq": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "md.UserFeedbackList": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "create_at": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                },
                "img": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "phone": {
                    "type": "string"
                },
                "platform": {
                    "type": "string"
                },
                "state": {
                    "type": "string",
                    "example": "0待解决 1处理中 2已解决"
                },
                "title": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                },
                "version": {
                    "type": "string"
                }
            }
        },
        "md.UserFeedbackListReq": {
            "type": "object",
            "properties": {
                "cid": {
                    "type": "string"
                },
                "limit": {
                    "description": "每页大小",
                    "type": "string"
                },
                "page": {
                    "description": "页数",
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "uid": {
                    "type": "string"
                }
            }
        },
        "md.UserFeedbackListResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.UserFeedbackList"
                    }
                },
                "select_data": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "md.UserFeedbackRecordListReq": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "string"
                },
                "limit": {
                    "description": "每页大小",
                    "type": "string"
                },
                "page": {
                    "description": "页数",
                    "type": "string"
                }
            }
        },
        "md.UserFeedbackRecordListResp": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "create_at": {
                    "type": "string"
                },
                "head_img": {
                    "type": "string"
                },
                "nickname": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                }
            }
        },
        "md.UserFeedbackSayReq": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "id": {
                    "type": "string"
                }
            }
        },
        "md.UserManagementGetBalanceDetailResp": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.BalanceDetailNode"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md_member_center.Paginate"
                }
            }
        },
        "md.UserManagementGetFansResp": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "用户数据",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.FansNode"
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_member_center.Paginate"
                        }
                    ]
                }
            }
        },
        "md.UserManagementGetOneBasicResp": {
            "type": "object",
            "properties": {
                "basic_info": {
                    "description": "基本信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.BasicInfoNode"
                        }
                    ]
                },
                "levels_list": {
                    "description": "等级列表",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "other_info": {
                    "description": "其他信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.OtherNode"
                        }
                    ]
                },
                "tags_list": {
                    "description": "标签列表",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                }
            }
        },
        "md.UserManagementGetUserListNode": {
            "type": "object",
            "properties": {
                "avatar": {
                    "description": "头像",
                    "type": "string"
                },
                "id": {
                    "description": "会员 ID",
                    "type": "integer"
                },
                "invite_code": {
                    "type": "string",
                    "example": "会员邀请码"
                },
                "is_real_name": {
                    "description": "是否实名 0.未实名,1.已实名",
                    "type": "integer"
                },
                "last_login_at": {
                    "description": "最后登录时间",
                    "type": "string"
                },
                "level_name": {
                    "description": "会员等级",
                    "type": "string"
                },
                "memo": {
                    "description": "备注",
                    "type": "string"
                },
                "nickname": {
                    "description": "昵称",
                    "type": "string"
                },
                "parent_id": {
                    "description": "推荐人 ID",
                    "type": "integer"
                },
                "parent_invite_code": {
                    "type": "string",
                    "example": "推荐人邀请码"
                },
                "parent_phone": {
                    "type": "string",
                    "example": "推荐人手机号"
                },
                "phone": {
                    "description": "手机号",
                    "type": "string"
                },
                "register_time": {
                    "description": "注册时间",
                    "type": "string"
                },
                "register_type": {
                    "description": "注册类型",
                    "type": "integer"
                },
                "sex": {
                    "description": "性别(0:未知 1:男 2:女)",
                    "type": "integer"
                },
                "state": {
                    "description": "状态",
                    "type": "integer"
                },
                "tag": {
                    "description": "会员标签",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.TagNode"
                    }
                },
                "wechat": {
                    "description": "微信号",
                    "type": "string"
                }
            }
        },
        "md.UserManagementGetUserListReq": {
            "type": "object",
            "properties": {
                "effective": {
                    "description": "有效会员",
                    "type": "integer"
                },
                "id": {
                    "description": "会员 ID",
                    "type": "integer"
                },
                "invite_code": {
                    "type": "string",
                    "example": "会员邀请码"
                },
                "is_real_name": {
                    "description": "是否实名 0.未实名,1.已实名",
                    "type": "integer"
                },
                "level": {
                    "description": "会员等级",
                    "type": "integer"
                },
                "limit": {
                    "type": "integer"
                },
                "login_after": {
                    "description": "最近登录结束时间",
                    "type": "string"
                },
                "login_before": {
                    "description": "最近登录开始时间",
                    "type": "string"
                },
                "memo": {
                    "description": "备注",
                    "type": "string"
                },
                "nickname": {
                    "type": "string",
                    "example": "会员昵称"
                },
                "page": {
                    "type": "integer"
                },
                "parent_invite_code": {
                    "type": "string",
                    "example": "上级邀请码"
                },
                "parent_phone": {
                    "type": "string",
                    "example": "上级手机号"
                },
                "phone": {
                    "type": "string",
                    "example": "会员手机号"
                },
                "recommend_id": {
                    "description": "推荐人 ID",
                    "type": "integer"
                },
                "register_after": {
                    "description": "注册时间终点",
                    "type": "string"
                },
                "register_before": {
                    "description": "注册时间起点",
                    "type": "string"
                },
                "register_type": {
                    "description": "注册类型(1:APP注册、2:H5注册)",
                    "type": "integer"
                },
                "sex": {
                    "description": "性别(0:未知 1:男 2:女)",
                    "type": "integer"
                },
                "state": {
                    "description": "状态",
                    "type": "integer"
                },
                "tag": {
                    "description": "标签 id",
                    "type": "integer"
                },
                "union_id": {
                    "type": "string",
                    "example": "微信号"
                }
            }
        },
        "md.UserManagementGetUserListResp": {
            "type": "object",
            "properties": {
                "levels_list": {
                    "description": "等级列表",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.UserManagementGetUserListNode"
                    }
                },
                "paginate": {
                    "description": "分页信息",
                    "allOf": [
                        {
                            "$ref": "#/definitions/applet_app_md_member_center.Paginate"
                        }
                    ]
                },
                "state_list": {
                    "description": "状态列表",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "tags_list": {
                    "description": "标签列表",
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                }
            }
        },
        "md.UserManagementGetVirtualCoinDetailResp": {
            "type": "object",
            "properties": {
                "coin_list": {
                    "type": "array",
                    "items": {
                        "type": "object",
                        "additionalProperties": true
                    }
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/md.VirtualCoinDetailNode"
                    }
                },
                "paginate": {
                    "$ref": "#/definitions/applet_app_md_member_center.Paginate"
                }
            }
        },
        "md.UserManagementUpdateUserInfoReq": {
            "type": "object",
            "properties": {
                "avatar": {
                    "description": "头像",
                    "type": "string"
                },
                "last_login_ip": {
                    "description": "用户最后登录 IP",
                    "type": "string"
                },
                "level": {
                    "description": "会员等级 ID",
                    "type": "string"
                },
                "memo": {
                    "type": "string",
                    "example": "备注"
                },
                "nickname": {
                    "description": "用户名",
                    "type": "string"
                },
                "parent_uid": {
                    "description": "邀请人 ID",
                    "type": "string"
                },
                "password": {
                    "description": "登录密码",
                    "type": "string"
                },
                "phone": {
                    "description": "手机号",
                    "type": "string"
                },
                "sex": {
                    "description": "性别(0:未知 1:男 2:女)",
                    "type": "string"
                },
                "state": {
                    "description": "账号状态 1正常,2冻结",
                    "type": "string"
                },
                "tag": {
                    "description": "用户标签 ID列表",
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                },
                "union_id": {
                    "description": "微信号",
                    "type": "string"
                }
            }
        },
        "md.UserVirtualCoinFlow": {
            "type": "object",
            "properties": {
                "after_amount": {
                    "type": "string",
                    "example": "变更后数量"
                },
                "amount": {
                    "type": "string",
                    "example": "变更数量"
                },
                "before_amount": {
                    "type": "string",
                    "example": "变更前数量"
                },
                "coin_id": {
                    "description": "虚拟币 ID",
                    "type": "integer"
                },
                "create_at": {
                    "type": "string",
                    "example": "创建时间"
                },
                "direction": {
                    "description": "方向:1收入 2支出",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "sys_fee": {
                    "type": "string",
                    "example": "手续费"
                },
                "title": {
                    "type": "string",
                    "example": "标题"
                },
                "transfer_type": {
                    "description": "转账类型",
                    "type": "integer"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "integer"
                },
                "update_at": {
                    "type": "string",
                    "example": "更新时间"
                }
            }
        },
        "md.VideoRewardSetting": {
            "type": "object",
            "properties": {
                "video_reward_is_open": {
                    "description": "视频奖励是否开启(1:开启 0:关闭)",
                    "type": "integer"
                },
                "video_reward_system": {
                    "description": "视频奖励机制",
                    "allOf": [
                        {
                            "$ref": "#/definitions/md.VideoRewardSystemStruct"
                        }
                    ]
                }
            }
        },
        "md.VideoRewardSystemStruct": {
            "type": "object",
            "properties": {
                "each_round_hour": {
                    "description": "每一轮X个小时",
                    "type": "string"
                },
                "interval_minutes": {
                    "description": "间隔X秒",
                    "type": "string"
                },
                "reward_total_num": {
                    "description": "一共X个奖励视屏",
                    "type": "string"
                },
                "reward_value": {
                    "description": "奖励X个活跃积分",
                    "type": "string"
                }
            }
        },
        "md.VipEquitySettingNode": {
            "type": "object",
            "properties": {
                "dividend_ratio": {
                    "description": "分红比例",
                    "type": "string"
                },
                "exchange_account_balance_fee": {
                    "description": "兑换余额手续费",
                    "type": "string"
                },
                "vip_level_id": {
                    "description": "会员等级ID",
                    "type": "string"
                },
                "vip_level_name": {
                    "description": "会员等级名称",
                    "type": "string"
                }
            }
        },
        "md.VirtualCoin": {
            "type": "object",
            "properties": {
                "create_at": {
                    "type": "string"
                },
                "exchange_ratio": {
                    "description": "兑换比例(与金额)",
                    "type": "string",
                    "example": "兑换比例(与金额)"
                },
                "id": {
                    "type": "integer"
                },
                "is_use": {
                    "description": "是否开启: 0否 1是",
                    "type": "integer"
                },
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "update_at": {
                    "type": "string"
                }
            }
        },
        "md.VirtualCoinDetailNode": {
            "type": "object",
            "properties": {
                "after_amount": {
                    "description": "变更后积分余额",
                    "type": "string"
                },
                "amount": {
                    "description": "变更数量",
                    "type": "string"
                },
                "create_at": {
                    "description": "创建时间",
                    "type": "string"
                },
                "direction": {
                    "description": "类型 1.收入 2.支出",
                    "type": "integer"
                },
                "uid": {
                    "description": "用户 ID",
                    "type": "integer"
                }
            }
        },
        "md.VirtualCoinListNode": {
            "type": "object",
            "properties": {
                "coin_id": {
                    "description": "货币类型 ID",
                    "type": "integer"
                },
                "kind": {
                    "description": "货币序号",
                    "type": "integer"
                },
                "name": {
                    "type": "string",
                    "example": "货币类型名称"
                }
            }
        },
        "md.WithdrawFrequencySettingStruct": {
            "type": "object",
            "properties": {
                "duration": {
                    "description": "周期 (1.天 2.周 3.月)",
                    "type": "integer"
                },
                "num": {
                    "description": "周期数",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "model.EggEnergyUserEggIndexWeight": {
            "type": "object",
            "properties": {
                "account_balance_exchange_egg_energy_nums": {
                    "type": "string"
                },
                "browse_interface_nums": {
                    "type": "string"
                },
                "college_learning_nums": {
                    "type": "string"
                },
                "create_at": {
                    "type": "string"
                },
                "ecpm": {
                    "type": "string"
                },
                "egg_energy_exchange_account_balance": {
                    "type": "string"
                },
                "forum_comments_nums": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "im_activity_nums": {
                    "type": "string"
                },
                "invite_user_nums": {
                    "type": "string"
                },
                "person_add_activity_value": {
                    "type": "string"
                },
                "send_circle_of_friend_nums": {
                    "type": "string"
                },
                "send_red_package_nums": {
                    "type": "string"
                },
                "sign_in_nums": {
                    "type": "string"
                },
                "team_activity_nums": {
                    "type": "string"
                },
                "update_at": {
                    "type": "string"
                },
                "violate_nums": {
                    "type": "string"
                }
            }
        },
        "model.PlatformActiveData": {
            "type": "object",
            "properties": {
                "date": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "new_user_count": {
                    "type": "integer"
                },
                "user_sign_in_count": {
                    "type": "integer"
                },
                "withdraw_amount_count": {
                    "type": "string"
                },
                "withdraw_user_count": {
                    "type": "integer"
                }
            }
        },
        "model.UserLevelTask": {
            "type": "object",
            "properties": {
                "create_at": {
                    "type": "string"
                },
                "finish_count": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "is_must_task": {
                    "type": "integer"
                },
                "level_id": {
                    "type": "integer"
                },
                "task_type": {
                    "type": "integer"
                },
                "task_type_level_id": {
                    "type": "integer"
                },
                "update_at": {
                    "type": "string"
                },
                "within_days": {
                    "type": "integer"
                }
            }
        }
    },
    "securityDefinitions": {
        "MasterID": {
            "type": "apiKey",
            "name": "MasterID",
            "in": "header"
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "localhost:4001",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "蛋蛋星球-管理后台",
	Description:      "管理后台接口文档",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
